package ch.unizh.ifi.adora.constraints;

import java.io.IOException;

import org.eclipse.core.runtime.Path;
import org.eclipse.core.runtime.Platform;
import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.ui.plugin.AbstractUIPlugin;
import org.osgi.framework.BundleContext;

/**
 * The activator class controls the plug-in life cycle
 */
public class ConstraintsPlugin extends AbstractUIPlugin {

	// The shared instance
	private static ConstraintsPlugin plugin;

	// The plug-in ID
	public static final String PLUGIN_ID = "ch.unizh.ifi.adora.constraints";

	/**
	 * Returns the shared instance
	 * 
	 * @return the shared instance
	 */
	public static ConstraintsPlugin getDefault() {
		return plugin;
	}

	/**
	 * Returns an image descriptor for the image file at the given plug-in
	 * relative path
	 * 
	 * @param path
	 *            the path
	 * @return the image descriptor
	 */
	public static ImageDescriptor getImageDescriptor(String path) {
		return imageDescriptorFromPlugin(PLUGIN_ID, path);
	}

	/**
	 * returns the location where the constraintplugin is installed
	 * 
	 * @return
	 */
	public static String getPath() {
		try {
			String s = getResource("/");
			if (s == null) {
				s = "";
			}
			s = (!s.endsWith("/")) ? s += "/" : s;
			return s;
		} catch (Exception e) {
		}
		return "";
	}

	public static String getResource(String path) {
		try {
			return new Path(Platform.resolve(Platform.find(plugin.getBundle(), new Path(path))).getFile()).toFile()
					.toString();
		} catch (IOException e) {
		}
		return null;
	}

	/**
	 * The constructor
	 */
	public ConstraintsPlugin() {
		plugin = this;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
	 */
	@Override
	public void start(BundleContext context) throws Exception {
		super.start(context);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
	 */
	@Override
	public void stop(BundleContext context) throws Exception {
		plugin = null;
		super.stop(context);
	}

}
