package ch.unizh.ifi.adora.constraints.constraints.util;

import java.util.Enumeration;
import java.util.Iterator;
import java.util.List;
import java.util.Vector;

public class Quantification {

    final Object[] data;

    public Quantification( Vector vector ) {
        this.data = new Object[ vector.size() ];
        vector.copyInto( this.data );
    }
    
     public Quantification( List list ) {
    	Object [] array=list.toArray();
    	 this.data = new Object[ array.length ];
         System.arraycopy( array, 0, this.data, 0, array.length );
    }
    

    public Quantification( Object[] array ) {
        this.data = new Object[ array.length ];
        System.arraycopy( array, 0, this.data, 0, array.length );
    }
    
       
    public Quantification(Iterator iter) {
    	  Vector vector = (Vector)iter;
          this.data = new Object[ vector.size() ];
          vector.copyInto( this.data );
      }


    public Quantification( Enumeration e ) {
         Vector vector = new Vector();
         while (e.hasMoreElements()) { 
            vector.addElement(e.nextElement()); 
         }
         this.data = new Object[ vector.size() ];
         vector.copyInto( this.data );
     }
    
    
    public ConstraintResult forAll( Formula formula ) throws Exception {
        ConstraintResult result = new ConstraintResult(true);
        ConstraintResult tempRes = new ConstraintResult(true);
        for( int i = 0; i < data.length; i++ ) {
			tempRes.clear(true);
	    	result.and( formula.eval( data[i], tempRes ));
        }
        return result;
    }
    
    
    public ConstraintResult thereExists( Formula formula ) throws Exception {
        ConstraintResult result = new ConstraintResult(false);
        ConstraintResult tempRes = new ConstraintResult(false);
        for( int i = 0; i < data.length; i++ ) {
        	tempRes.clear(true);
	    	result.or( formula.eval( data[i], tempRes ));
        }
        return result;
    }
}