package ch.unizh.ifi.adora.constraints.editor;

import icl.parser.IclParserConstants;

import org.eclipse.jface.text.TextAttribute;
import org.eclipse.swt.graphics.Color;
import org.eclipse.swt.graphics.RGB;
import org.eclipse.swt.widgets.Display;

import ch.unizh.ifi.adora.properties.specification.scanner.SpecificationToken;



/**
 * scannes text in constraintTextEditor for comments and sets them in a
 * different colour
 * 
 * @author Christina Cramer
 * 
 */
public class ConstraintRuleScanner extends JavaCCSpecificationScanner implements IclParserConstants {
	private static Color KEYWORD_COLOR =
        new Color(Display.getCurrent(), new RGB(0, 0, 200));
    
    private static Color COMMENT_COLOR =
        new Color(Display.getCurrent(), new RGB(0, 200, 0));

    private static Color LITERAL_COLOR =
        new Color(Display.getCurrent(), new RGB(200, 0, 0));

    
    private static Color DEFAULT_COLOR =
        new Color(Display.getCurrent(), new RGB(0, 0, 0));

    private static SpecificationToken commentToken = new SpecificationToken(new TextAttribute(COMMENT_COLOR));
    
    private static SpecificationToken defaultToken = new SpecificationToken(new TextAttribute(DEFAULT_COLOR));
    
    private static SpecificationToken keywordToken = new SpecificationToken(new TextAttribute(KEYWORD_COLOR));

    private static SpecificationToken literalToken = new SpecificationToken(new TextAttribute(LITERAL_COLOR));

    
    
    public ConstraintRuleScanner() {
        this.setDefaultReturnToken(defaultToken);
        this.setTokenMappingTupel(ON , keywordToken);
        this.setTokenMappingTupel(CONSTRAINT, keywordToken);
        this.setTokenMappingTupel(CONDITIONALOR, keywordToken);
        this.setTokenMappingTupel(IclParserConstants.CONSTRAINT,keywordToken);
        this.setTokenMappingTupel(IclParserConstants.FOR_ALL, keywordToken);
        this.setTokenMappingTupel(IclParserConstants.IS, keywordToken);
        this.setTokenMappingTupel(IF_TRUE , keywordToken);
        this.setTokenMappingTupel(IF_FALSE, keywordToken);
        this.setTokenMappingTupel(IF_ERROR, keywordToken);
        this.setTokenMappingTupel(DESCRIPTION,keywordToken);
        this.setTokenMappingTupel(CATEGORY, keywordToken);
        //this.setTokenMappingTupel(CONDITIONALAND, keywordToken);
        //this.setTokenMappingTupel(IN, keywordToken);
        //this.setTokenMappingTupel(RECEIVE, CONSTRAINTS_UNIQUE, keywordToken);
        this.setTokenMappingTupel(BOOLEAN_LITERAL,literalToken);
        this.setTokenMappingTupel(LETTER, literalToken);
        this.setTokenMappingTupel(DIGIT, literalToken);
        this.setTokenMappingTupel(CHARACTER_LITERAL , literalToken);
        this.setTokenMappingTupel(IDENTIFIER , literalToken);
        //this.setTokenMappingTupel(COMMENT, commentToken);
        //this.setTokenMappingTupel(INFORMAL_COMMENT, commentToken);
    }    
}
