package ch.unizh.ifi.adora.constraints.editor;

import java.util.Enumeration;
import java.util.Vector;

/**
 * 
 * 
 * @author Christina Cramer
 * @copyright Requirements Engineering Research Group<br>
 *            Department of Informatics<br>
 *            University of Zurich<br>
 * @history 24.07.2006 IV First Version (used for CommentTextEditor) 27.01.2007
 *          CR changed to needs of ConstraintTextEditor
 * @version $Date: 2007-10-11 10:49:01 +0200 (Thu, 11 Oct 2007) $, $Author: cramer $, $Revision: 3123 $
 */
public class EditorMetaData {

	private Vector errorsvec = new Vector();

	private String flagname;

	public EditorMetaData() {
	}

	public EditorMetaData(String filename) {
		flagname = filename;
	}

	/**
	 * Used to display the components name in the flag.
	 * 
	 * @return The Name
	 */
	public String getArtifactName() {
		return flagname;
	}

	/**
	 * 
	 * @return Enumeration containing the errors that happened last time one
	 *         tried to save this constraint
	 */
	public Vector getErrors() {
		return errorsvec;

	}

	public String getId() {
		return "my adora id";
	}

	/**
	 * set the errors
	 * 
	 * @param newerrors
	 */
	public void setErrors(Enumeration newerrors) {
		errorsvec.clear();
		if (newerrors != null) {
			while (newerrors.hasMoreElements()) {
				errorsvec.add(newerrors.nextElement());
			}
		}

	}

	public void setName(String s) {
		this.flagname = s;
	}

}