package ch.unizh.ifi.adora.constraints.engine;

import java.lang.reflect.Method;

import ch.unizh.ifi.adora.constraints.constraints.util.ConstraintResult;
import ch.unizh.ifi.adora.model.representation.ConstraintCheckable;

/**
 * responsible for checking the model with given constraints
 * 
 * @author cramer
 * @copyright Requirements Engineering Research Group<br>
 *            Department of Informatics<br>
 *            University of Zurich<br>
 * @history
 * @version Oct 11, 2007 cramer
 */
public class ConstraintCheckManager {

	/**
	 * checks a constraint on a constraintcheckable and returns the
	 * constraintresult
	 * 
	 * @param object
	 * @param element
	 * @return
	 */
	public ConstraintResult check(Object object, ConstraintCheckable element) {
		Class ruleinstance = object.getClass();
		String constraintname = object.getClass().getSimpleName();
		try {
			Method m = object.getClass().getMethod(constraintname, element.getClass());
			Object[] args = new Object[1];
			args[0] = element;
			ConstraintResult result = (ConstraintResult) m.invoke(object, args);
			return result;
		} catch (Exception e) {
			return null;
		}
	}
}
