package ch.unizh.ifi.adora.constraints.engine;

import java.util.Enumeration;
import java.util.Vector;

import ch.unizh.ifi.adora.constraints.constraints.util.ConstraintResult;
import ch.unizh.ifi.adora.model.representation.ConstraintCheckable;

public class ConstraintInstance {

	private Vector allelements;
	private ConstraintResult result;
	private ConstraintCheckable roolElement;
	private Object ruleinstance;

	public ConstraintInstance(ConstraintCheckable element, Object ruleinstance, ConstraintResult result) {
		this.roolElement = element;
		this.ruleinstance = ruleinstance;
		Enumeration elements = result.getIncidentObjects(false);
		this.allelements = new Vector();
		this.result = result;
		while (elements.hasMoreElements()) {
			allelements.add(elements.nextElement());
		}
		elements = result.getIncidentObjects(true);
		while (elements.hasMoreElements()) {
			allelements.add(elements.nextElement());
		}
		if (!allelements.contains(element)) {
			allelements.add(element);
		}
	}

	public Vector getAllelements() {
		return allelements;
	}

	public ConstraintResult getResult() {
		return result;
	}

	public ConstraintCheckable getRoolElement() {
		return roolElement;
	}

	public Object getRuleinstance() {
		return ruleinstance;
	}

	public void setResult(ConstraintResult result) {
		this.result = result;
		Enumeration elements = result.getIncidentObjects(false);
		this.allelements = new Vector();
		this.result = result;
		while (elements.hasMoreElements()) {
			allelements.add(elements.nextElement());
		}
		elements = result.getIncidentObjects(true);
		while (elements.hasMoreElements()) {
			allelements.add(elements.nextElement());
		}
		if (!allelements.contains(this.getRoolElement())) {
			allelements.add(this.getRoolElement());
		}
	}

}
