package ch.unizh.ifi.adora.constraints.engine;

import java.lang.reflect.Method;
import java.util.Hashtable;
import java.util.Vector;

/**
 * loads all constraints for type of modelelement
 * 
 * @author cramer
 * @copyright Requirements Engineering Research Group<br>
 *            Department of Informatics<br>
 *            University of Zurich<br>
 * @history
 * @version Oct 11, 2007 cramer
 */
public class ConstraintTypeLoader {

	private Vector constraints;
	// contains constraints for a given type
	private Hashtable<Object, Vector> typetoconstraints = new Hashtable<Object, Vector>();

	public ConstraintTypeLoader(Vector constraintclasses) {
		constraints = constraintclasses;
	}

	/**
	 * gives all the constraints for a given modelelement-type
	 * 
	 * @param type
	 * @return
	 */
	public Vector getConstraintInstance(Class type) {
		Vector newfortype = new Vector();
		for (int i = 0; i < constraints.size(); i++) {
			String constraintname = constraints.elementAt(i).getClass().getSimpleName();
			try {
				Method m = constraints.elementAt(i).getClass().getMethod(constraintname, type);
				newfortype.add(constraints.elementAt(i));
			} catch (Exception ex) {
			}
		}
		typetoconstraints.put(type, newfortype);
		return newfortype;
	}
}
