package ch.unizh.ifi.adora.constraints.engine;

import java.util.Hashtable;
import java.util.Vector;

import ch.unizh.ifi.adora.constraints.constraints.util.ConstraintResult;
import ch.unizh.ifi.adora.model.representation.ConstraintCheckable;

/**
 * @author cramer
 * @copyright Requirements Engineering Research Group<br>
 *            Department of Informatics<br>
 *            University of Zurich<br>
 * @history Oct 10, 2007 cramer refactoring
 * @version Oct 10, 2007 cramer
 */

public class ScopeManager {

	Vector<ConstraintInstance> constraintInstances = new Vector();

	Vector modelelements = new Vector();

	Hashtable<ConstraintResult, Vector> resulttologgedelements = new Hashtable<ConstraintResult, Vector>();

	// rootelement for constraintresult
	Hashtable<ConstraintResult, ConstraintCheckable> resulttorootelement = new Hashtable<ConstraintResult, ConstraintCheckable>();

	// ruleinstance for constraintresult
	Hashtable<ConstraintResult, Object> resulttoruleinstance = new Hashtable<ConstraintResult, Object>();

	/**
	 * make new ruleinstance with element as root element
	 * 
	 * @param element
	 * @param ruleinstance
	 * @param result
	 */
	public void addNew(ConstraintCheckable element, Object ruleinstance, ConstraintResult result) {
		modelelements.add(element);
		ConstraintInstance constraintinstance = new ConstraintInstance(element, ruleinstance, result);
		constraintInstances.add(constraintinstance);
		// resulttorootelement.put(result, element);
		// resulttoruleinstance.put(result, ruleinstance);
		// Enumeration elements=result.getIncidentObjects(false);
		// Vector allelements=new Vector();
		// while(elements.hasMoreElements()){
		// allelements.add(elements.nextElement());
		// }
		// elements=result.getIncidentObjects(true);
		// while(elements.hasMoreElements()){allelements.add(elements.nextElement());}
		// if(!allelements.contains(element)){allelements.add(element);
		// }
		// resulttologgedelements.put(result, allelements);

	}

	/**
	 * returns true if the object is known
	 * 
	 * @param source
	 */
	public boolean checkIfNew(Object source) {
		return (!modelelements.contains(source));

	}

	// get rules to be rechecked when element changed
	public Vector<ConstraintInstance> getRuleInstances(Object element) {
		Vector<ConstraintInstance> toreturn = new Vector<ConstraintInstance>();
		// find out which constraintresults have this object in scope
		for (int i = 0; i < constraintInstances.size(); i++) {
			ConstraintInstance instance = constraintInstances.elementAt(i);
			if (instance.getAllelements().contains(element)) {
				toreturn.add(instance);
			}
		}
		// Enumeration results=resulttologgedelements.keys();
		// //while(results.hasMoreElements()){
		// ConstraintResult res=(ConstraintResult)results.nextElement();
		// Vector elements=resulttologgedelements.get(res);
		// if(elements.contains(element)){
		// Object[]
		// newset={resulttoruleinstance.get(res),resulttorootelement.get(res),res};
		// toreturn.add(newset);
		// }
		// }
		return toreturn;

	}

	/**
	 * 
	 * @param tocheck
	 *            (old constraintresult, rootelement, incidentobjects
	 * @param result
	 *            new constraintresult
	 */
	public void informchanged(ConstraintInstance instance, ConstraintResult result) {
		ConstraintResult old = instance.getResult();
		// resulttorootelement.remove(old);
		// resulttoruleinstance.remove(old);
		// resulttologgedelements.remove(old);
		// resulttorootelement.put(result,(ConstraintCheckable)tocheck[1]);
		// resulttoruleinstance.put(result, tocheck[0]);
		// resulttologgedelements.remove(old);
		// Enumeration falseelements=result.getIncidentObjects(false);
		// Vector allelements=new Vector();
		// while(falseelements.hasMoreElements()){
		// allelements.add(falseelements.nextElement());
		// }
		// Enumeration trueelements=result.getIncidentObjects(true);
		// while(trueelements.hasMoreElements()){
		// allelements.add(trueelements.nextElement());}
		// if(!allelements.contains(tocheck[1])){
		// allelements.add(tocheck[1]);
		// }
		// resulttologgedelements.put(result, allelements);
		instance.setResult(result);

	}

	// removes all rule instances for this object
	public void remove(ConstraintCheckable source) {
		modelelements.remove(source);
		// remove this ModelElement
		for (int i = 0; i < constraintInstances.size(); i++) {
			ConstraintInstance instance = constraintInstances.elementAt(i);
			if (instance.getRoolElement().equals(source)) {
				constraintInstances.remove(instance);
			}
		}
		// Enumeration keys=resulttorootelement.keys();
		// while(keys.hasMoreElements()){
		// Object key=keys.nextElement();
		// if(resulttorootelement.get(key).equals(source)){
		// resulttorootelement.remove(key);
		// resulttoruleinstance.remove(key);
		// resulttologgedelements.remove(key);
		// }
		// }

	}

}
