package ch.unizh.ifi.adora.constraints.preferences;

/**
 * Contains a set of keys and default values for the empirical ADORA plugin.
 * 
 * @author smeier
 * @copyright Requirements Engineering Research Group<br>
 *            Department of Informatics<br>
 *            University of Zurich<br>
 * @history May 31, 2006 SM First Version Oct 13, 2006 SM Implemented the access
 *          for the content of an inquery from a http server.
 * @version $Date: 2007-10-11 10:49:01 +0200 (Thu, 11 Oct 2007) $, $Author: cramer $, $Revision: 3123 $
 * 
 */
public interface PreferencesConstants {
	public static final String modelconstraint = "constraint ModelConstraint \n" + "// ist Beispiel \n"
			+ "on			( am : AdoraModel ) \n" + "is \n" + "     (am.hasChildren())\n"
			+ "ifTrue	(@result.setMessage(\"has children ???\");@) \n"
			+ "ifFalse	(@result.setMessage(\"no children ???\");@) \n" + "end\n";

	/**
	 * parameter of the directory where .java files of the constraints will be
	 * saved
	 */
	public static String SRC_FILES = System.getProperty("user.home");

}
