package ch.unizh.ifi.adora.constraints.ui;

import org.eclipse.ui.IPartListener;
import org.eclipse.ui.IWorkbenchPart;

import ch.unizh.ifi.adora.constraints.editor.ConstraintTextEditor;
import ch.unizh.ifi.adora.properties.specification.SpecificationTextEditor;
import ch.unizh.ifi.adora.ui.AdoraModelEditor;


public class ConstraintManageViewListener  implements IPartListener {
		private ConstraintManageView view;
		private IWorkbenchPart currentPart;
		
		public ConstraintManageViewListener(ConstraintManageView view) {
			this.view = view;
			this.currentPart = null;
		}

		public void partActivated(IWorkbenchPart part) {
			setActivePart(part);
		}

		public void partBroughtToTop(IWorkbenchPart part) {
			setActivePart(part);
		}

		public void partClosed(IWorkbenchPart part) {
		}

		public void partDeactivated(IWorkbenchPart part) {
		}

		public void partOpened(IWorkbenchPart part) {
			setActivePart(part);
		}

		private void setActivePart(IWorkbenchPart part) { 
			if ((part instanceof AdoraModelEditor || part instanceof SpecificationTextEditor || part instanceof ConstraintTextEditor) && 
			     currentPart != part) {
				this.view.setActiveEditor( part);
				this.currentPart = part;
			}
			if (part instanceof SpecificationTextEditor) {
				this.view.setActiveEditor(part);
				this.currentPart = part;
			}
			if (!(part instanceof AdoraModelEditor)) {
				//this.view.setActiveEditor(SyntaxProblemsView.NO_EDITOR_CHOSEN);
			}
			
		}

	}

