package ch.unizh.ifi.adora.constraints.ui;

import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.swt.graphics.Image;

import ch.unizh.ifi.adora.constraints.ConstraintsPlugin;
import ch.unizh.ifi.adora.model.representation.ConstraintCheckable;
import ch.unizh.ifi.adora.model.representation.VisualizableModelElement;

//representing a Treenode
public class ConstraintsTreeNodeObject extends ConstraintsTreeNode {
	public Image image;

	private Object modelelement;

	/**
	 * name shown on node
	 */
	private String name;

	private ConstraintsTreeNode parent;

	public ConstraintsTreeNodeObject(ConstraintsTreeNode root, ConstraintCheckable obj) {
		String pic = obj.getClass().getSimpleName();
		this.image = ImageDescriptor.createFromFile(ConstraintsPlugin.class, "icons/" + pic + ".gif").createImage();
		this.parent = root;
		parent.addChild(this);
		modelelement = obj;
		this.name = ((VisualizableModelElement) obj).getName();
		if (this.name == null) {
			this.name = "*";
		}
	}

	@Override
	public Image getImage() {
		return image;
	}

	@Override
	public String getName() {
		if (this.getObject() != null) {
			return this.getObject().getClass().getSimpleName() + ": " + name;
		}
		return name;
	}

	@Override
	public Object getObject() {
		return modelelement;
	}

	public ConstraintsTreeNodeConstraint hasConstraint(Object constraint) {
		for (int i = 0; i < this.getChildren().size(); i++) {
			ConstraintsTreeNodeConstraint constraintsnode = (ConstraintsTreeNodeConstraint) this.getChildren().get(i);
			if (constraintsnode.getconstraint().equals(constraint)) {
				return constraintsnode;
			}

		}
		return null;
	}

	/**
	 * Set the Name of this node. 
	 * This is not the showing name which consists of the type of model element and the name. 
	 * @param newValue
	 */
	public void setName(String newValue) {
		this.name=newValue;
		
	}

}
