package ch.unizh.ifi.adora.constraints.ui.preferences;

/**
 * Contains a set of keys and default values for the empirical ADORA plugin.
 * 
 * @author smeier
 * @copyright Requirements Engineering Research Group<br>
 *            Department of Informatics<br>
 *            University of Zurich<br>
 * @history May 31, 2006 SM First Version Oct 13, 2006 SM Implemented the access
 *          for the content of an inquery from a http server.
 * @version $Date: 2007-10-30 10:36:11 +0100 (Tue, 30 Oct 2007) $, $Author: cramer $, $Revision: 3201 $
 * 
 */
public interface PreferencesConstants {
	
	
	

	public static final String modelconstraint = "constraint ModelConstraint \n" 
			+ "// change the Name of the Constraint  \n"
			+ "on			( node : Node ) \n" 
			+ "is \n" + "     (true)\n"
			+ "ifTrue	(@result.setMessage(\":-)\");@) \n"
			+ "ifFalse	(@result.setMessage(\":o(\");@) \n" + "end\n";


	/**
	 * parameter of the directory where .java files of the constraints will be
	 * saved
	 */
	public static String SRC_FILES = System.getProperty("user.home");

}
