package ch.unizh.ifi.adora.constraints.ui.preferences;

import java.io.*;

import org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer;
import org.eclipse.jface.preference.IPreferenceStore;

import ch.unizh.ifi.adora.constraints.ConstraintsPlugin;
import ch.unizh.ifi.adora.constraints.editor.CompileManager;

/**
 * 
 * Initializes the preferences storage with default values the constraints
 * plugin
 * 
 * @author ccramer
 * @copyright Requirements Engineering Research Group<br>
 *            Department of Informatics<br>
 *            University of Zurich<br>
 * @history Feb16, 2006 CR
 * @version $Date: 2007-10-11 10:49:01 +0200 (Thu, 11 Oct 2007) $, $Author: cramer $, $Revision: 3123 $
 * 
 */
public class PreferencesInitializer extends AbstractPreferenceInitializer {

	/**
	 * !! to be redone!!
	 * 
	 * @param constraintfile
	 * @return text of Constraint
	 */
	public String getConstraintText(File constraintfile) {
		String next = "";
		BufferedReader br;
		try {
			FileReader fr = new FileReader(constraintfile);
			br = new BufferedReader(fr);
		} catch (FileNotFoundException e) {
			e.printStackTrace();
			return next;
		}
		String constraintstring = "";
		try {
			do {
				next = br.readLine();
				String newline = System.getProperty("line.separator");
				constraintstring = constraintstring.concat(next + "" + newline);
			} while (!next.equals("end"));
			return constraintstring;
		} catch (IOException e) {
		}

		return null;

	}

	private void initConstraints() {
		try {
			CompileManager compiler = new CompileManager();
			// get all constraints in folder ch.unizh.ifi.adora.constraints
			String locString = ConstraintsPlugin.getPath() + "doc";
			File txtFile = new File(locString);
			File[] files = txtFile.listFiles();
			for (int i = 0; i < files.length; i++) {
				String filename = files[i].getName();
				if (filename.endsWith("txt")) {
					String constraintText = getConstraintText(files[i]);
					compiler.compile(constraintText);
				}
			}
		} catch (Exception e) {
		}

	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer#initializeDefaultPreferences()
	 */
	@Override
	public void initializeDefaultPreferences() {
		IPreferenceStore store = ch.unizh.ifi.adora.constraints.ConstraintsPlugin.getDefault().getPreferenceStore();
		store.setDefault(PreferencesConstants.SRC_FILES, PreferencesConstants.SRC_FILES);
		store.setDefault(PreferencesConstants.modelconstraint, PreferencesConstants.modelconstraint);
		String subfolder = ConstraintsPlugin.getDefault().getPreferenceStore()
				.getString(PreferencesConstants.SRC_FILES)
				+ "/ch";
		File f = new File(subfolder);
		if (!f.exists()) {
			initConstraints();
		}

	}

}
