package ch.unizh.ifi.adora.constraints.ui.table;

import org.eclipse.jface.viewers.ITableLabelProvider;
import org.eclipse.jface.viewers.LabelProvider;
import org.eclipse.swt.graphics.Image;

/**
 * provides the information needed to fill the ConstraintTable with the right
 * entries
 * 
 * @author Christina Cramer
 * 
 */
public class ConstraintTableFiller extends LabelProvider implements ITableLabelProvider {

	/**
	 * sets a picture in the checked column
	 * 
	 * @see org.eclipse.jface.viewers.ITableLabelProvider#getColumnImage(java.lang.Object,
	 *      int)
	 */
	public Image getColumnImage(Object element, int columnIndex) {
		return (columnIndex == 4) ? // CHECKED_COLUMN?
		getImage(true)
				: null;
	}

	/**
	 * returns the Text that is to be shown in a (textual) column of the
	 * ConstraintTable
	 * 
	 * @see org.eclipse.jface.viewers.ITableLabelProvider#getColumnText(java.lang.Object,
	 *      int)
	 */
	public String getColumnText(Object element, int columnIndex) {
		String result = "";
		ConstraintTableEntry entry = (ConstraintTableEntry) element;
		switch (columnIndex) {
		
		case 0: // name column
			result = entry.getName();
			break;
		case 1: // description
			result = entry.getDescription();
			break;
		default:
			break;
		}
		return result;
	}

	/**
	 * Returns the image with the given key, or null if not found.
	 */
	private Image getImage(boolean isSelected) {
		return null;
	}

}
