package ch.unizh.ifi.adora.actions;

import java.util.Iterator;

import org.eclipse.gef.ui.actions.DeleteAction;
import org.eclipse.ui.IWorkbenchPart;

import ch.unizh.ifi.adora.model.representation.Node;
import ch.unizh.ifi.adora.parts.tree.NodeTreeEditPart;

/**
 * The {@link org.eclipse.gef.ui.actions.DeleteAction} has been overwritten because
 * {@link ch.unizh.ifi.adora.model.representation.Node}s shall only be 
 * deletable if they are visible. 
 *      
 * @author				Ivo Vigan
 * @copyright			Requirements Engineering Research Group<br>
 *						Department of Informatics<br>
 *						University of Zurich<br>
 * @history			21.04.2006 IV First Version
 * 						18.07.2006 SM Removed dead code, Comments completed.
 * @version			$Date: 2009-12-23 14:25:55 +0100 (Wed, 23 Dec 2009) $, $Author: jeanneret $, $Revision: 5005 $
 */
public class AdoraDeleteAction extends DeleteAction {

	/**
	 * Initializes a delete action.
	 * 
	 * @param editor The workbench part referencing the 
	 *				  action.
	 */
    public AdoraDeleteAction(IWorkbenchPart editor) {
        super(editor);
    }
   
	/*
	 *  (non-Javadoc)
	 * @see org.eclipse.gef.ui.actions.WorkbenchPartAction#calculateEnabled()
	 */
	protected boolean calculateEnabled(){
        Object o;
        Node n;
        Iterator iter = getSelectedObjects().iterator();
        //For all selected Objects
        while (iter.hasNext()){
            o = iter.next();
            if (o instanceof NodeTreeEditPart){
                n = ((Node)((NodeTreeEditPart)o).getModel());
                if(!n.isVisible()){
                    return false;
                }
            }
        }
        return super.calculateEnabled();
   	}
	@Override
	public void dispose() {
		setWorkbenchPart(null);
		super.dispose();
	}
}
