package ch.unizh.ifi.adora.actions.representation;

import ch.unizh.ifi.adora.model.representation.Actor;

/**
 * This class' run method executes the ContextView algorithm.
 * 
 * @author Ivo Vigan
 * @copyright Requirements Engineering Research Group<br>
 *            Department of Informatics<br>
 *            University of Zurich<br>
 * @history 16.03.2006 IV First Version<br>
 *          18.07.2006 SM Comments & Refactoring<br>
 *          23.01.2008 PS Refactoring & Use of "Observers"
 * @version $Date: 2008-01-23 16:17:45 +0100 (Wed, 23 Jan 2008) $, $Author: schoeni $, $Revision: 3491 $
 */
public class ContextViewAction extends AbstractViewAction {

	/**
     * Describes the icon name for the activated view.
     */
	private final static String ICON_NAME = "icons/contextview.gif";

	/**
     * Describes the icon name for the deactivated view.
     */
	private final static String ICON_NAME_DEACTIVATED = "icons/contextview_deactivated.gif";

	/**
     * Specifies which Nodetypes are filtered by this view manager.
     */
	public ContextViewAction() {
		type = Actor.class;
	}

	/*
     * (non-Javadoc)
     * 
     * @see ch.unizh.ifi.adora.actions.representation.AbstractViewAction#getIconDeactivatedName()
     */
	@Override
	public String getIconDeactivatedName() {
		return ICON_NAME_DEACTIVATED;
	}

	/*
     * (non-Javadoc)
     * 
     * @see ch.unizh.ifi.adora.actions.representation.AbstractViewAction#getIconName()
     */
	@Override
	public String getIconName() {
		return ICON_NAME;
	}
}