package ch.unizh.ifi.adora.model.commands;

import ch.unizh.ifi.adora.model.representation.Association;

/**
 * Command that can reconnect a Connection instance to a
 *  different source or target endpoint.
 * 
 * @author				smeier
 * @copyright			Requirements Engineering Research Group<br>
 *						Department of Informatics<br>
 *						University of Zurich<br>
 * @history			20.04.2006 IV First Version
 * 						17.07.2006 SM Comments, Reformatting.
 * @version			$Date: 2007-10-30 10:31:20 +0100 (Tue, 30 Oct 2007) $, $Author: vontobel $, $Revision: 3200 $
 */
public class AssociationReconnect extends ConnectionReconnect {
	/**
	 * @param conn
	 *            the connection instance to reconnect (non-null)
	 * @throws IllegalArgumentException
	 *             if conn is null
	 */
	public AssociationReconnect(Association conn) {
		super(conn);
		setLabel("Association Reconnect");
	}
	
	@Override
	public String toString() {
		return ("Old Source: " + oldSource + " New Source: " + newSource + " Old Target: " + oldTarget + " New Target: " + newTarget);
	}
}
