package ch.unizh.ifi.adora.model.commands;

import org.eclipse.gef.commands.Command;

import ch.unizh.ifi.adora.model.geometry.Point;
import ch.unizh.ifi.adora.model.representation.Component;
import ch.unizh.ifi.adora.model.representation.INodeContainer;
import ch.unizh.ifi.adora.model.representation.VisualizableModelElement;
/**
 * A Command which places a Component at it's parents bottom left corner
 * 
 * @author 		Marc Vontobel
 * @copyright 	Requirements Engineering Research Group<br>
 *            	Department of Informatics<br>
 *            	University of Zurich<br>
 * @history 	03.07.2007 IV First Version 02.07.2007 
 * 				04.07.2007 SM Comments reformatted and completed.
 * @version 	$Date: 2007-07-04 15:01:41 +0200 (Wed, 04 Jul 2007) $, $Author: vontobel $, $Revision: 2850 $
 * 
 */
public class ComponentAlignBottomRight extends Command {
	private Component component;
	
	public ComponentAlignBottomRight(Component component) {
		this.component = component;
	}
	/**
	 * Executes the command so that the componend is getting placed
	 */
	public void execute() {
		INodeContainer parent = component.getParent();
		Point location =  new Point((int)((VisualizableModelElement)parent).getBounds().getWidth(), (int)((VisualizableModelElement)parent).getBounds().getHeight());
		component.setLocation(location);
		Command visuallyCmd = new InsertNodeVisually(component);
		visuallyCmd.execute();
		//component.setLocation(0, (int) parent.getBorderDimension().getWidth());
		//System.out.println("Parent Dimensions: " + parent.getBorderInsets().toString());
	}
}
