package ch.unizh.ifi.adora.model.commands;

import java.util.ArrayList;

import org.eclipse.gef.commands.Command;

import ch.unizh.ifi.adora.model.representation.AdoraModel;
import ch.unizh.ifi.adora.model.representation.variability.Constraint;

/**
 * Represents a variation point add command.
 * 
 * @author Reinhard Stoiber
 * @copyright Requirements Engineering Research Group<br>
 *            Department of Informatics<br>
 *            University of Zurich<br>
 * @history 03.07.2008 RS First Version
 *          
 * @version $Date: 2010-01-28 04:43:33 +0100 (Thu, 28 Jan 2010) $, $Author: vigan $, $Revision: 5098 $
 */

public class ConstraintAdd extends Command {
	
	private Constraint constraint;
	private AdoraModel adoraModel;
	
	public ConstraintAdd(AdoraModel adoraModel) {
		constraint = new Constraint(adoraModel);
		this.adoraModel = adoraModel;
	}
	
	public void execute() {		
		adoraModel.addConstraint(constraint);
	}


	public void redo() {
		
	}

	
	public void undo() {
		ArrayList<Constraint> constraints = new ArrayList<Constraint>();
		constraints.clear();
		constraints.add(constraint);
		adoraModel.removeConstraints(constraints);
	}
	
	public Constraint getConstraint() {
		return constraint;
	}

}
