package ch.unizh.ifi.adora.model.commands;

import java.util.ArrayList;

import org.eclipse.gef.commands.Command;

import ch.unizh.ifi.adora.model.representation.AdoraModel;
import ch.unizh.ifi.adora.model.representation.variability.Constraint;

/**
 * Represents a variation point remove command.
 * 
 * @author Reinhard Stoiber
 * @copyright Requirements Engineering Research Group<br>
 *            Department of Informatics<br>
 *            University of Zurich<br>
 * @history 09.07.2008 RS First Version
 *          
 * @version $Date: 2008-10-16 18:27:45 +0200 (Thu, 16 Oct 2008) $, $Author: stoiber $, $Revision: 3844 $
 */

public class ConstraintRemove extends Command {
	
	private ArrayList<Constraint> constraints;
	private AdoraModel adoraModel;
	
	public ConstraintRemove(AdoraModel adoraModel, ArrayList<Constraint> constrToRemove) {
		constraints = constrToRemove;
		this.adoraModel = adoraModel;
	}
	
	public void execute() {
		boolean x = adoraModel.removeConstraints(constraints);
		System.out.println(x);
	}

	
	public void redo() {

	}

	
	public void undo() {
		//TODO
		for (Constraint x : constraints){
			adoraModel.addConstraint(x);
		}
	}
	
	public ArrayList<Constraint> getConstraints() {
		return constraints;
	}

}
