package ch.unizh.ifi.adora.model.commands;

import java.util.List;

import ch.unizh.ifi.adora.model.geometry.Point;
import ch.unizh.ifi.adora.model.representation.Component;
import ch.unizh.ifi.adora.model.representation.Node;
import ch.unizh.ifi.adora.model.representation.ZoomableNodeContainer;

/**
 * Command for inserting a nodegroup into a parent by the position of a
 * component.
 * 
 * @author Anil Kandrical
 */
public class InsertNodesByComponent  extends InsertNodesVisually {
	private Component component;
	
	public InsertNodesByComponent(ZoomableNodeContainer parent,
			List<Node> nodes, Component component) {
		super(parent, nodes);
		
		this.component = component;
	}

	@Override
	protected Point getLocation() {
		return component.getLocation();
	}
}
