package ch.unizh.ifi.adora.model.commands;

import java.util.List;

import ch.unizh.ifi.adora.model.geometry.Point;
import ch.unizh.ifi.adora.model.representation.Node;
import ch.unizh.ifi.adora.model.representation.Scenario;
import ch.unizh.ifi.adora.model.representation.ZoomableNodeContainer;

/**
 * Command for inserting a nodegroup into a parent by the position of a
 * transition.
 * 
 * @author Pascal Schoeni
 */
public class InsertNodesVisuallyByScenario extends InsertNodesVisually {
	private Scenario scenario;
	
	public InsertNodesVisuallyByScenario(ZoomableNodeContainer parent,
			List<Node> nodes, Scenario scenario) {
		super(parent, nodes);
		
		this.scenario = scenario;
	}

	@Override
	protected Point getLocation() {
		return scenario.getLocation();
	}
}
