package ch.unizh.ifi.adora.model.commands;

import ch.unizh.ifi.adora.model.representation.Component;
import ch.unizh.ifi.adora.model.representation.ConnectableElement;
import ch.unizh.ifi.adora.model.representation.Scenario;
import ch.unizh.ifi.adora.model.representation.State;
import ch.unizh.ifi.adora.model.representation.Transition;

public class JoinRelationHelper {
	/**
     * If the connection is not drawn from a state/component to a transition or
     * a scenario to another scenario, this connection has to be abstracted.
     * 
     * @param source
     * @param target
     * @return
     */
	public static boolean isAbstract(ConnectableElement source,
			ConnectableElement target) {
		boolean notAbstracted = false;

		if (target instanceof Transition && source instanceof State) {
			notAbstracted = true;
		}

		if (target instanceof Transition && source instanceof Component) {
			notAbstracted = true;
		}

		if (source instanceof Scenario && target instanceof Scenario) {
			notAbstracted = true;
		}

		return !notAbstracted;
	}
}
