package ch.unizh.ifi.adora.model.commands;

import org.eclipse.gef.commands.Command;

import ch.unizh.ifi.adora.model.representation.ZoomableNodeContainer;
import ch.unizh.ifi.adora.zoom.adora.AdoraZoomAdapter;

/**
 * Command to reduce the size of a node by reducing the border around
 * the children.
 * 
 * @author 		Tobias Reinhard
 * @copyright 	Requirements Engineering Research Group<br>
 *            	Department of Informatics<br>
 *            	University of Zurich<br>
 * @history 	2008-06-11 TR First Version
 * @version 	$Date: 2008-06-12 15:12:00 +0200 (Thu, 12 Jun 2008) $, $Author: treinhard $, $Revision: 3636 $
 * 
 */
public class NodeCompact extends Command {

	/**
	 * The node whose size should be reduced.
	 */
	private ZoomableNodeContainer target;
	
	
	/**
	 * Constructor.
	 */
	public NodeCompact() {
		
		super("Compact Node");
		
	}
	
	
	/**
	 * Sets the target container for the compactification.
	 * 
	 * @param zoomTarget != null.
	 */
	public void setTarget(ZoomableNodeContainer target) {
		this.target = target;
	
	}
	
	
	/**
	 * Execute the command.
	 */
	public void execute() {
		
		AdoraZoomAdapter.getInstance().compactNode(target);
		
	}

}