package ch.unizh.ifi.adora.model.commands;

import ch.unizh.ifi.adora.model.representation.ObjectConnection;

/**
 * Creates a command that can reconnect a Connection instance to a
 * different source or target endpoint.
 *
 * @author				smeier
 * @copyright			Requirements Engineering Research Group<br>
 *						Department of Informatics<br>
 *						University of Zurich<br>
 * @history			31.10.2006 SM First Version
 * 						17.07.2006 SM Comments, Reformatting
 * @version			$Date: 2006-07-22 17:49:18 +0200 (Sat, 22 Jul 2006) $, $Author: smeier $, $Revision: 1886 $
 */
public class ObjectConnectionDelete extends ConnectionDelete {
	/**
	 * Create a command that will disconnect a connection from its endpoints.
	 * 
	 * @param conn
	 *            the connection instance to disconnect (non-null)
	 * @throws IllegalArgumentException
	 *             if conn is null
	 */
	public ObjectConnectionDelete(ObjectConnection conn) {
		super(conn);
		setLabel("Delete Object Connection");
	}
}
