package ch.unizh.ifi.adora.model.commands;

import ch.unizh.ifi.adora.model.representation.ScenarioConnection;

/**
 * Create a command that will disconnect a connection from its endpoints.
 * 
 * @author				smeier
 * @copyright			Requirements Engineering Research Group<br>
 *						Department of Informatics<br>
 *						University of Zurich<br>
 * @history			31.10.2005 SM First Version
 *                      18.07.2006 SM Refactoring, 
 *                                 removed unnecessary dependencies, Bug 560
 * @version            $Date: 2006-07-22 17:49:18 +0200 (Sat, 22 Jul 2006) $, $Author: smeier $, $Revision: 1886 $
 */
public class ScenarioConnectionDelete extends ConnectionDelete {
    
    /**
     * @param conn
     *            the connection instance to disconnect (non-null)
     * @throws IllegalArgumentException
     *             if conn is null
     */
	public ScenarioConnectionDelete(ScenarioConnection conn) {
		super(conn);
		setLabel("Delete Scenario Connection");
	}
    
    /*
     * (non-Javadoc)
     * @see ch.unizh.ifi.adora.model.commands.ConnectionDelete#execute()
     */
	public void execute() {
        super.execute();
    }
    
	/*
	 * (non-Javadoc)
	 * @see ch.unizh.ifi.adora.model.commands.ConnectionDelete#undo()
	 */
	public void undo(){
        super.undo();
    }

	/*
	 * (non-Javadoc)
	 * @see org.eclipse.gef.commands.Command#redo()
	 */
	public void redo(){
        super.redo();
    }
}