package ch.unizh.ifi.adora.model.commands;

import ch.unizh.ifi.adora.model.representation.ScenarioConnection;

/**
 * Command that can reconnect a Connection instance to a
 * different source or target endpoint.
 *
 * @author				smeier
 * @copyright			Requirements Engineering Research Group<br>
 *						Department of Informatics<br>
 *						University of Zurich<br>
 * @history			31.10.2005 SM First Version
 * 						18.07.2006 SM Comments, Reformatting
 * @version			$Date: 2006-07-22 17:49:18 +0200 (Sat, 22 Jul 2006) $, $Author: smeier $, $Revision: 1886 $
 */
public class ScenarioConnectionReconnect extends ConnectionReconnect {
	/**
	 * 
	 * @param conn
	 *            the connection instance to reconnect (non-null)
	 * @throws IllegalArgumentException
	 *             if conn is null
	 */
	public ScenarioConnectionReconnect(ScenarioConnection conn) {
		super(conn);
		setLabel("Reconnect Scenario Connection");
	}
}