package ch.unizh.ifi.adora.model.commands;


import ch.unizh.ifi.adora.model.representation.INodeContainer;
import ch.unizh.ifi.adora.model.representation.Scenario;

/**
 * Delete Command for scenarios.
 * 
 * @author              smeier
 * @copyright           Requirements Engineering Research Group<br>
 *                      Department of Informatics<br>
 *                      University of Zurich<br>
 * @history             20.04.2006 IV First Version
 *                                 SM Refactoring, removed unnecessary dependencies, Bug 560
 *                      08.08.2006 JS Comments
 * @version             $Date: 2006-08-09 10:35:47 +0200 (Wed, 09 Aug 2006) $, $Author: schlaefli $, $Revision: 2038 $
 */
public class ScenarioDelete extends NodeDelete{
    
	/**
	 * Creates a scenario delete command by
	 * initializing it with the parent container
	 * to delete it from and the scenario to delete.
	 * @pre       parent != null
	 * @post      scenario != null
	 * @param parent The parent from which the 
	 *				  scenario will be removed
	 *				  (Decomposition hierarchy,
	 *				   i.e. not the parent scenario)
	 * @param scenario The scenario which should be removed.
	 */
    public ScenarioDelete(INodeContainer parent, Scenario scenario) {
        super(parent, scenario);
		setLabel("Delete Scenario");
    }

    /*
     * (non-Javadoc)
     * @see ch.unizh.ifi.adora.model.commands.NodeDelete#execute()
     */
    public void execute() {
        super.execute();
    }

    /*
     * (non-Javadoc)
     * @see ch.unizh.ifi.adora.model.commands.NodeDelete#undo()
     */
    public void undo() {
        super.undo();
    }
    

    /*
     * (non-Javadoc)
     * @see ch.unizh.ifi.adora.model.commands.NodeDelete#redo()
     */
    public void redo() {
        super.redo();
    }
}