package ch.unizh.ifi.adora.model.commands;

import java.util.List;

import ch.unizh.ifi.adora.model.representation.variability.Decision;

/**
 * This is the concrete command for setting the list of included decisions on
 * a decision.
 * 
 * @author Pascal Schoeni
 * @copyright Requirements Engineering Research Group<br>
 *            Department of Informatics<br>
 *            University of Zurich<br>
 * @history 18.03.2008 PS First Version
 * @version $Date: 2008-06-19 15:22:21 +0200 (Thu, 19 Jun 2008) $, $Author: stoiber $, $Revision: 3647 $
 */
public class SetDecisionListInclude extends SetDecisionList {
	public SetDecisionListInclude(String value, Decision decision) {
		super(value, decision);
	}

	/*
     * (non-Javadoc)
     * 
     * @see ch.unizh.ifi.adora.model.commands.SetDecisionList#addProductLine(ch.unizh.ifi.adora.model.representation.productline.ProductLine)
     */
	@Override
	protected void addDecision(Decision decision) {
		this.decision.addIncluded(decision);
	}

	/*
     * (non-Javadoc)
     * 
     * @see ch.unizh.ifi.adora.model.commands.SetDecisionList#getList()
     */
	@Override
	protected List<Decision> getList() {
		return this.decision.getInclude();
	}

	/*
     * (non-Javadoc)
     * 
     * @see ch.unizh.ifi.adora.model.commands.SetDecisionList#removeProductLine(ch.unizh.ifi.adora.model.representation.productline.ProductLine)
     */
	@Override
	protected void removeDecision(Decision decision) {
		this.decision.removeIncluded(decision);
	}

}
