package ch.unizh.ifi.adora.model.commands;

import ch.unizh.ifi.adora.model.representation.Transition;

/**
 * Represents the delete command of a transition.
 *
 * @author				smeier
 * @copyright			Requirements Engineering Research Group<br>
 *						Department of Informatics<br>
 *						University of Zurich<br>
 * @history			10.10.2005 SM First version
 *						04.12.2005 SM Comments
 *						19.07.2006 SM Comments, Reformatting
 * @version			$Date: 2006-07-22 17:49:18 +0200 (Sat, 22 Jul 2006) $, $Author: smeier $, $Revision: 1886 $
 * @responsibilities	Represents the delete command of a transition.
 *
 */
public class TransitionDelete extends ConnectionDelete {
	
    /**
	 * Create a command that will disconnect a connection from its endpoints.
	 * 
	 * @param conn
	 *            the connection instance to disconnect (non-null)
	 * @throws IllegalArgumentException
	 *             if conn is null
	 */
	public TransitionDelete(Transition conn) {
		super(conn);
		setLabel("Delete Transition");
	}
}