package ch.unizh.ifi.adora.model.commands.representation;

import org.eclipse.gef.commands.Command;

import ch.unizh.ifi.adora.model.representation.AspectContainer;
import ch.unizh.ifi.adora.model.representation.Node;
import ch.unizh.ifi.adora.utils.ZoomAlgorithmsManager;

/**
 * Bloats a node after a view manager is revoked.     
 * 
 * @author				Ivo Vigan
 * @copyright			Requirements Engineering Research Group<br>
 *						Department of Informatics<br>
 *						University of Zurich<br>
 * @history			20.04.2006 SM First Version
 *						06.06.2006 JS New implementation of execute()
 *						19.07.2006 SM Reformatting.
 * @version			$Date: 2009-12-26 03:20:20 +0100 (Sat, 26 Dec 2009) $, $Author: vigan $, $Revision: 5012 $
 */
public class RepresentationNodeBloat extends Command {

    /**
     * {@link Node} which gets bloated.
     */
    private Node nodeToInsert;
    
    /**
     * Constructs a new RepresentationNodeBloat.
     * @param n {@link Node} which gets bloated.
     */
    public RepresentationNodeBloat(Node n){
        this.nodeToInsert = n;
        setLabel("Bloats a Node");
    }

    /**
     * Bloats the node to its saved size.
     * @see org.eclipse.gef.commands.Command#execute()
     */
    public void execute()
    {
    	ZoomAlgorithmsManager.getInstance().getFilterAlgorithm().filterNode(nodeToInsert);
    	
    	//TODO IV: What is this? commented out until someone can explain the purpose
    	//Doesnt make sense to me.
   /* 	if (nodeToInsert instanceof AspectContainer)
    	{
    		nodeToInsert.setManuallyHidden(nodeToInsert.isVisible());
    	} */
    }
}