package ch.unizh.ifi.adora.model.factories;

import org.eclipse.gef.requests.CreationFactory;

import ch.unizh.ifi.adora.model.representation.Component;

/**
 * Instantiates a new Component with a cardinatlity unequal 
 * to 1,1. 
 * 
 * @author				vigan
 * @copyright			Requirements Engineering Research Group<br>
 *						Department of Informatics<br>
 *						University of Zurich<br>
 * @history			13.03.2006 IV First Version
 *						29.03.2006 SM Comments 
 *						19.07.2006 SM Reformatting, Comments.
 * @version			$Date: 2006-07-19 15:21:49 +0200 (Wed, 19 Jul 2006) $, $Author: smeier $, $Revision: 1857 $
 * @responsibilities	Creates an object set.
 */
public class ObjectSetFactory implements CreationFactory {

	/**
	 * Intializes a ObjectSetFactory which 
	 * instantiates a component with cardinality
	 * 0,1.  
	 * 
	 */
	public ObjectSetFactory() {
	}

	/**
	 * Create a new Object Set.
	 *
	 * @return The newly created object.
	 */
	public Object getNewObject() {
		return new Component("0","1");
	}

	/**
	 * Returns the type of object this factory creates.
	 *
	 * @return The type of object this factory creates.
	 */
	public Object getObjectType() {
		return Component.class;
	}
}
