package ch.unizh.ifi.adora.model.syntaxerrors;


/** 
 * This interface describes syntax verification rule.
 * 
 * @author Cedric Jeanneret
 * @copyright Requirements Engineering Research Group<br>
 *            Department of Informatics<br>
 *            University of Zurich<br>
 * @history   24.04.2008 CJ First Version
 * @version   $Date: 2008-10-27 10:12:16 +0100 (Mon, 27 Oct 2008) $, $Author: jehle $, $Revision: 3853 $
 *
 */
public interface ISyntaxVerificationRule {

	/**
	 * @return a printable name for the rule
	 */
	public String getRuleName();
	
	/**
	 * Verify that the rule is valid in the given context.
	 * Problems are notified to the context directly
	 * 
	 * @param context the {@link ISyntaxVerificationContext}
	 * this rule will apply.
	 */
	public void verify(ISyntaxVerificationContext context);
}
