package ch.unizh.ifi.adora.parts;

import java.beans.PropertyChangeEvent;

import ch.unizh.ifi.adora.model.representation.CommentableElement;
import ch.unizh.ifi.adora.view.figures.ICommentableFigure;

/**
 * Superclass for all EditParts which contain 
 * {@link ch.unizh.ifi.adora.model.representation.CommentableElement}s.
 * 
 * @author		        Ivo Vigan
 * @copyright           Requirements Engineering Research Group<br>
 *                      Department of Informatics<br>
 *                      University of Zurich<br>
 * @history             21.09.2006 IV First Version
 * @version             $Date: 2006-09-26 10:52:33 +0200 (Tue, 26 Sep 2006) $, $Author: vigan $, $Revision: 2267 $
 */
public abstract class CommentableEditPart extends VisualizableModelElementEditPart{

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.beans.PropertyChangeListener#propertyChange(java.beans.PropertyChangeEvent)
	 */
	public void propertyChange(PropertyChangeEvent evt) {
		String prop = evt.getPropertyName();
		
		if (CommentableElement.COMMENT_PROP.equals(prop)) {
			((ICommentableFigure)getFigure()).setComment(((CommentableElement)getModel()).getComment());
		} else{
			super.propertyChange(evt);
		}
	}
}