package ch.unizh.ifi.adora.parts;

import java.beans.PropertyChangeEvent;

import org.eclipse.draw2d.ColorConstants;
import org.eclipse.draw2d.IFigure;

import ch.unizh.ifi.adora.model.properties.ConnectableElementPropNames;
import ch.unizh.ifi.adora.view.figures.InterRelationshipFigure;

/**
 * This is the EditPart for a {@link DecisionPointFamilyConnection}. 
 * 
 * @author				Ivo Vigan
 * @copyright			Requirements Engineering Research Group<br>
 *						Department of Informatics<br>
 *						University of Zurich<br>
 * @history			19.07.2006 IV First Version
 * 						20.07.2006 SM Comments reformatting, checking and correcting.
 * 						14.08.2006 JS Removed unnecessary cast
 * @version			$Date: 2009-05-06 10:51:39 +0200 (Wed, 06 May 2009) $, $Author: treinhard $, $Revision: 4182 $
 */
public class DecisionPointFamilyConnectionEditPart extends ConnectionEditPart {

	/*
	 * (non-Javadoc)
	 * @see org.eclipse.gef.editparts.AbstractConnectionEditPart#createFigure()
	 */
    @Override
    protected IFigure createFigure() {
        //PolylineConnection connection = (PolylineConnection)super.createFigure();
    	InterRelationshipFigure connection = new InterRelationshipFigure();
    	connection.setForegroundColor(ColorConstants.orange);
    	return connection;
    }
    
    /**
     * Interrelationships don't have any policies, they're not editable.
     * @see org.eclipse.gef.editparts.AbstractEditPart#createEditPolicies()
     */
    @Override
    protected void createEditPolicies() {}
    
    /*
     *  (non-Javadoc)
     * @see java.beans.PropertyChangeListener#propertyChange(java.beans.PropertyChangeEvent)
     */
	public void propertyChange(PropertyChangeEvent event) {
		String property = event.getPropertyName();
		if (ConnectableElementPropNames.SOURCE_CONNECTIONS_PROP.equals(property)) {
            getSource().refresh();
        } else if (ConnectableElementPropNames.TARGET_CONNECTIONS_PROP.equals(property)) {
        	getTarget().refresh();
        }
		super.propertyChange(event);
	}
}