package ch.unizh.ifi.adora.parts;

import java.beans.PropertyChangeEvent;

import org.eclipse.draw2d.IFigure;

import ch.unizh.ifi.adora.model.properties.ConnectableElementPropNames;
import ch.unizh.ifi.adora.view.figures.InterRelationshipFigure;

/**
 * This is the {@link org.eclipse.gef.EditPart} for an 
 * {@link ch.unizh.ifi.adora.model.representation.Interrelationship}. 
 * It is responisble for representing an interrelationship (represented by
 * a dashed figure) as a controller. 
 *
 * @author				Ivo Vigan
 * @copyright			Requirements Engineering Research Group<br>
 *						Department of Informatics<br>
 *						University of Zurich<br>
 * @history				24.07.2006 IV First Version
 * 						25.07.2006 SM Comments checked, reformatted and corrected.
 * @version				$Date: 2006-09-01 14:26:05 +0200 (Fri, 01 Sep 2006) $, $Author: vigan $, $Revision: 2160 $
 */
public class InterrelationshipEditPart extends ConnectionEditPart {

	/*
	 * (non-Javadoc)
	 * @see org.eclipse.gef.editparts.AbstractConnectionEditPart#createFigure()
	 */
    @Override
    protected IFigure createFigure() {
        //PolylineConnection connection = (PolylineConnection)super.createFigure();
    	InterRelationshipFigure connection = new InterRelationshipFigure();
        return connection;
    }
    
    /**
     * Interrelationships don't have any policies, they're not editable.
     * @see org.eclipse.gef.editparts.AbstractEditPart#createEditPolicies()
     */
    @Override
    protected void createEditPolicies() {}
    
    /*
     *  (non-Javadoc)
     * @see java.beans.PropertyChangeListener#propertyChange(java.beans.PropertyChangeEvent)
     */
	public void propertyChange(PropertyChangeEvent event) {
		String property = event.getPropertyName();
		if (ConnectableElementPropNames.SOURCE_CONNECTIONS_PROP.equals(property)) {
            getSource().refresh();
        } else if (ConnectableElementPropNames.TARGET_CONNECTIONS_PROP.equals(property)) {
        	getTarget().refresh();
        }
		super.propertyChange(event);
	}
}