package ch.unizh.ifi.adora.parts;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

import org.eclipse.gef.EditPolicy;

import ch.unizh.ifi.adora.parts.policies.MovableLabelLayoutEditPolicy;
import ch.unizh.ifi.adora.view.figures.label.ConnectionLabel;

/**
 * Abstract superclass for all labeled connections.
 * Purpose of this class it to set connection labels selected 
 * if the appendant connection has been selected.    
 * 
 * @author				ivo vigan
 * @copyright			Requirements Engineering Research Group<br>
 *						Department of Informatics<br>
 *						University of Zurich<br>
 * @history			19.02.2006 IV First Version
 * 						20.07.2006 SM Comments reformatting and corrections.
 * @version			$Date: 2006-09-26 10:52:33 +0200 (Tue, 26 Sep 2006) $, $Author: vigan $, $Revision: 2267 $
 */
public abstract class LabeledConnectionEditPart extends ConstrainableConnectionEditPart {

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.gef.editparts.AbstractEditPart#createEditPolicies()
	 */
	protected void createEditPolicies() {
		super.createEditPolicies();
		installEditPolicy(EditPolicy.LAYOUT_ROLE,new MovableLabelLayoutEditPolicy());
    }
	
	/**
	 * This method is responsible for drawing a visual representation
	 * of the selection state. In other words:
	 * If a label or a connection is selected, all involved components
	 * get drawn bordered.
	 */
	public void changeSelectionRepresentation(){
		
		super.changeSelectionRepresentation();

		List children = new ArrayList();
		children = getChildren();
		Iterator it = children.iterator();
		while(it.hasNext()){
			((ConnectionLabel)
					((ConnectionLabelEditPart)it.next()).
						getFigure()).changeSelectionState(isSelected);
		}
	}
}