package ch.unizh.ifi.adora.parts;

import java.beans.PropertyChangeEvent;

import org.eclipse.draw2d.IFigure;

import ch.unizh.ifi.adora.model.representation.VariationPointConnection;
import ch.unizh.ifi.adora.model.representation.VariationPointConnectionLabel;
import ch.unizh.ifi.adora.view.figures.VariationPointConnectionFigure;
import ch.unizh.ifi.adora.view.figures.label.ConnectionLabel;
import ch.unizh.ifi.adora.view.figures.label.algorithm.placing.ConnectionMidpointLocator;

/**
 * 
 * @author vigan
 *
 */
public class VariationPointConnectionLabelEditPart extends ConnectionLabelEditPart {

	/**
	 * The connection on which this label is appended.
	 */
	private VariationPointConnectionFigure lineFigure = null;


	/*
	 *  (non-Javadoc)
	 * @see ch.unizh.ifi.adora.parts.VisualizableModelElementEditPart#createFigureForModel()
	 */
	protected IFigure createFigureForModel() {

		if (getParent() == null || lineFigure != null)
			return lineFigure;

		lineFigure = (VariationPointConnectionFigure)((VariationPointConnectionEditPart) getParent()).getFigure();
		
		decorateLocator(new ConnectionMidpointLocator(lineFigure));
		
		ConnectionLabel label = new ConnectionLabel(generateLabelText());
	
		setSize(label);
  		  	
		return label;
	}
	
	/**
	 * Adds this editpart to the propertyListener of the transition.
	 * @see ch.unizh.ifi.adora.parts.ConnectionLabelEditPart#activate()
	 */
	public void activate() {
		if (!isActive()) {
			VariationPointConnection vp =
					(VariationPointConnection) ((VariationPointConnectionEditPart) 
						getParent()).getModel();
			vp.addPropertyChangeListener(this);
			super.activate();
		}
	}

	/**
	 * Removes this editpart from the propertyListener of the connection.
	 * @see ch.unizh.ifi.adora.parts.ConnectionLabelEditPart#deactivate()
	 */
	public void deactivate() {
		if (isActive()) {
			VariationPointConnection vp =
					(VariationPointConnection) ((VariationPointConnectionEditPart) 
							getParent()).getModel();
			vp.removePropertyChangeListener(this);
			super.deactivate();
		}
	}
	
	 /* (non-Javadoc)
	 * 
	 * @see java.beans.PropertyChangeListener#propertyChange(java.beans.PropertyChangeEvent)
	 */
	public void propertyChange(PropertyChangeEvent event) {
		super.propertyChange(event);
	}
	
	/**
	 * Generates the displayed label text. This method is called each
	 * time the label property changes.
	 * 
	 * @return The text which will be displayed on the Join Relationship label.
	 */
	private String generateLabelText() {
		return ((VariationPointConnectionLabel)getModel()).getName(); 
	}
}