package ch.unizh.ifi.adora.parts.figureinterfaces;

/**
 * Describes the interface which is used to transfer visualized information in
 * figure nodes of the view. Beside others it is responsible for defining the name of
 * nodes.
 *     
 * @author				smeier
 * @copyright			Requirements Engineering Research Group<br>
 *						Department of Informatics<br>
 *						University of Zurich<br>
 * @history				29.09.2005 SM First Version
 * 						25.07.2006 SM Comments reformatted, checked.
 * @version				$Date: 2008-10-27 10:12:16 +0100 (Mon, 27 Oct 2008) $, $Author: jehle $, $Revision: 3853 $
 */
public interface INodeProperties {
	
	/**
	 * Sets the name of the node.
	 * 
	 * @pre name != null
	 * @post this.name == name
	 * @param name The name to set for this node
	 */
	void setText(String name);
	
	/**
	 * Returns the name of this node.
	 * 
	 * @pre true 
	 * @post return != null
	 * @return Returns the name of this node.
	 */
	String getText();
}
