package ch.unizh.ifi.adora.properties;


import org.eclipse.ui.views.properties.IPropertyDescriptor;
import org.eclipse.ui.views.properties.PropertyDescriptor;

import ch.unizh.ifi.adora.model.properties.VisualModElemPropNames;
import ch.unizh.ifi.adora.model.representation.CommentableElement;
import ch.unizh.ifi.adora.model.representation.Connection;

public class ConnectionProperties extends CommentableElementProperties 
			implements VisualModElemPropNames {

	public ConnectionProperties(CommentableElement element) {
		super(element);
		// TODO Auto-generated constructor stub
	}
	
	/*
	 *  (non-Javadoc)
	 * @see org.eclipse.ui.views.properties.IPropertySource#getPropertyDescriptors()
	 */
	protected IPropertyDescriptor[] createProperties() {
		IPropertyDescriptor[] desc = new IPropertyDescriptor[]{
				new PropertyDescriptor(XPOS_PROP, "X"), 
	   			new PropertyDescriptor(YPOS_PROP, "Y"),
	   			new PropertyDescriptor(WIDTH_PROP, "Width"),
	   			new PropertyDescriptor(HEIGHT_PROP, "Height")
			};
	        
			for(int i = 0; i < desc.length; i++) {
			    PropertyDescriptor pd = ((PropertyDescriptor)desc[i]); 
			    pd.setCategory("Bounds");
			}
	        setHelpId(desc, PROPERTIES_HELP_CONTEXT);
	        return this.getJoinedPropertyDescriptors(super.createProperties(), desc);		
	}
	
	/**
     * Return the property value for the given propertyId, or null.
     * <p>
     * The property view uses the IDs from the IPropertyDescriptors array to
     * obtain the value of the corresponding properties.
     * </p>
     * 
     * @see #descriptors
     * @see #getPropertyDescriptors()
     */
	public Object getPropertyValue(Object propertyId) {
		if (XPOS_PROP.equals(propertyId)) {
			return Integer.toString(getModel().getLocation().x);
		}
		if (YPOS_PROP.equals(propertyId)) {
			return Integer.toString(getModel().getLocation().y);
		}
		if (HEIGHT_PROP.equals(propertyId)) {
			return Integer.toString(getModel().getSize().height);
		}
		if (WIDTH_PROP.equals(propertyId)) {
			return Integer.toString(getModel().getSize().width);
		}
		return super.getPropertyValue(propertyId);
	}

	/**
	 * Set the property value for the given property id. If no matching id is
	 * found, the call is forwarded to the superclass.
	 * <p>
	 * The property view uses the IDs from the IPropertyDescriptors array to set
	 * the values of the corresponding properties.
	 * </p>
	 * 
	 * @see #descriptors
	 * @see #getPropertyDescriptors()
	 */
	public void setPropertyValue(Object propertyId, Object value) {
		super.setPropertyValue(propertyId, value);
	}

	/*
	 *  (non-Javadoc)
	 * @see org.eclipse.ui.views.properties.IPropertySource#getEditableValue()
	 */
	public Object getEditableValue() {
		return null;
	}

	/*
	 *  (non-Javadoc)
	 * @see org.eclipse.ui.views.properties.IPropertySource#isPropertySet(java.lang.Object)
	 */
	public boolean isPropertySet(Object id) {
		return false;
	}

	/*
	 *  (non-Javadoc)
	 * @see org.eclipse.ui.views.properties.IPropertySource#resetPropertyValue(java.lang.Object)
	 */
	public void resetPropertyValue(Object id) {
	}
	
	/*
	 *  (non-Javadoc)
	 * @see ch.unizh.ifi.adora.properties.VisualizableModelElementProperties#getModel()
	 */
	protected Connection getModel(){
		return (Connection)super.getModel();
	}

}
