package ch.unizh.ifi.adora.properties.comment;

import org.eclipse.ui.editors.text.TextEditor;

import ch.unizh.ifi.adora.properties.longtextproperty.LongTextPropertyEditor;

/**
 * This editor acts as the standard editor for component Comments.
 * It gets called as soon as a user presses the button in the specification property field.
 * 
 *
 * @author		        Ivo Vigan
 * @copyright           Requirements Engineering Research Group<br>
 *                      Department of Informatics<br>
 *                      University of Zurich<br>
 * @history             06.03.2006 SM First Version
 * 						15.04.2008 CJ Fix Bug 855 (and refactoring of long text property editors)
 * @version             $Date: 2008-06-23 14:28:48 +0200 (Mon, 23 Jun 2008) $, $Author: stoiber $, $Revision: 3650 $
 */

public class CommentTextEditor extends LongTextPropertyEditor {
    
	/**
	 * ID, used for detecting this {@link TextEditor} when only knowing 
	 * the {@link org.eclipse.ui.IWorkbench}.
	 */
	public static final String ID = "ch.unizh.ifi.adora.properties.comment.CommentTextEditor";

	/**
	 * ID, used for detecting the help of this {@link TextEditor} when only knowing 
	 * the {@link org.eclipse.ui.IWorkbench}.
	 */
	public static final String HELPID = "ch.unizh.ifi.adora.editor.CommentTextEditorHelp";

	/**
	 * Instantiates a CommentTextEditor.
	 */
	public CommentTextEditor(){
		super();
        setHelpContextId(HELPID);
	}
}
 