package ch.unizh.ifi.adora.properties.comment;

import org.eclipse.ui.views.properties.IPropertySource;
import ch.unizh.ifi.adora.model.representation.CommentableElement;
import ch.unizh.ifi.adora.properties.CommentableElementProperties;
import ch.unizh.ifi.adora.properties.longtextproperty.AbstractLongTextPropertyAccess;
import ch.unizh.ifi.adora.properties.longtextproperty.ILongTextPropertyAccess;

/**
 * {@link CommentableCommentPropertyAccess} objects are 
 * {@link ILongTextPropertyAccess} for the specification property
 * of {@link CommentableElement} model elements
 * 
 * @author				Cedric Jeanneret
 * @copyright			Requirements Engineering Research Group<br>
 *						Department of Informatics<br>
 *						University of Zurich<br>
 * @history				15.04.2008 CJ First Version (Fix Bug 855 and refactoring of long text property editors)
 * @version				$Date: 2008-10-27 10:12:16 +0100 (Mon, 27 Oct 2008) $, $Author: jehle $, $Revision: 3853 $
 */

public class CommentableCommentPropertyAccess extends AbstractLongTextPropertyAccess implements ExtendedCommentPropNames {
	


	/**
	 * @param modelElement
	 */
	public CommentableCommentPropertyAccess(CommentableElement modelElement) {
		super(COMMENT_PROP, COMMENT_PROP_NAME, modelElement, new CommentableElementProperties(modelElement));
	}

	/**
	 * @param modelElement
	 * @param propertySource
	 */
	public CommentableCommentPropertyAccess(CommentableElement modelElement,
			IPropertySource propertySource) {
		super(COMMENT_PROP, COMMENT_PROP_NAME, modelElement, propertySource);
	}

	/* (non-Javadoc)
	 * @see org.eclipse.core.runtime.IAdaptable#getAdapter(java.lang.Class)
	 */
	@SuppressWarnings("unchecked")
	public Object getAdapter(Class adapter) {
		if(adapter.isAssignableFrom(CommentEditorInput.class))
		{
			return new CommentEditorInput(this);
		}
		return null;
	}


	
	

}
