package ch.unizh.ifi.adora.properties.contextmap;

import ch.unizh.ifi.adora.properties.longtextproperty.AbstractLongTextEditorInput;
import ch.unizh.ifi.adora.properties.longtextproperty.ILongTextPropertyAccess;

/**
 * A subclass of {@link AbstractLongTextEditorInput} for context map
 * property
 * 
 * @author Ivo Vigan
 * @copyright Requirements Engineering Research Group<br>
 *            Department of Informatics<br>
 *            University of Zurich<br>
 * @history 06.03.2006 SM First Version
 * 			15.04.2008 CJ Fix Bug 855 (and refactoring of long text property editors)
 * @version $Date: 2008-10-27 10:12:16 +0100 (Mon, 27 Oct 2008) $, $Author: jehle $, $Revision: 3853 $
 */
public class ContextMapEditorInput extends AbstractLongTextEditorInput {

	/**
	 * @param propertyAccess
	 */
	public ContextMapEditorInput(ILongTextPropertyAccess propertyAccess) {
		super(propertyAccess);
	}

	/* (non-Javadoc)
	 * @see ch.unizh.ifi.adora.properties.longtextproperty.AbstractLongTextEditorInput#getLongTextEditorID()
	 */
	public String getLongTextEditorID() {
		return ContextMapTextEditor.ID;
	}


	
}