package ch.unizh.ifi.adora.properties.contextmap;

import org.eclipse.ui.editors.text.TextEditor;

import ch.unizh.ifi.adora.properties.longtextproperty.LongTextPropertyEditor;

/**
 * This editor acts as the standard editor for component context maps. It gets
 * called as soon as a user presses the button in the context map property
 * field.
 * 
 * @author Ivo Vigan
 * @copyright Requirements Engineering Research Group<br>
 *            Department of Informatics<br>
 *            University of Zurich<br>
 * @history 06.03.2006 SM First Version
 * 			15.04.2008 CJ Fix Bug 855 (and refactoring of long text property editors)
 * @version $Date: 2008-04-16 10:45:42 +0200 (Wed, 16 Apr 2008) $, $Author: jeanneret $, $Revision: 3598 $
 */
public class ContextMapTextEditor extends LongTextPropertyEditor {

	/**
     * ID, used for detecting this {@link TextEditor} when only knowing the
     * {@link org.eclipse.ui.IWorkbench}.
     */
	public static final String ID = "ch.unizh.ifi.adora.properties.contextmap.ContextMapTextEditor";

	/**
     * ID, used for detecting the help of this {@link TextEditor} when only
     * knowing the {@link org.eclipse.ui.IWorkbench}.
     */
	public static final String HELPID = "ch.unizh.ifi.adora.editor.ContextMapTextEditorHelp";

	/**
     * Instantiates a CommentTextEditor.
     */
	public ContextMapTextEditor() {
		super();
		setHelpContextId(HELPID);
	}
}
