package ch.unizh.ifi.adora.properties.contextmap;

import ch.unizh.ifi.adora.model.properties.ContextMapPropNames;
import ch.unizh.ifi.adora.properties.longtextproperty.ILongTextPropertyAccess;

/**
 * Interface defining a derived property (the {@link ILongTextPropertyAccess}
 * object)
 *      
 * @author              Cedric Jeanneret
 * @copyright           Requirements Engineering Research Group<br>
 *                      Department of Informatics<br>
 *                      University of Zurich<br>
 * @history             15.04.2008 CJ First version
 * @version             $Date: 2008-10-27 10:12:16 +0100 (Mon, 27 Oct 2008) $, $Author: jehle $, $Revision: 3853 $
 */

public interface ExtendedContextMapPropNames extends ContextMapPropNames {

    /**
     * An unique ID for the property
     */
    public static final String CONTEXT_MAP_ACCESS_PROP = CONTEXT_MAP_PROP + ".access";
    
    
    /**
     * A constant defining the name of the long text property (used by the editor)
     */
    public static final String CONTEXTMAP_PROP_NAME = "Context Map";
    
}