package ch.unizh.ifi.adora.properties.contextmap;

import org.eclipse.ui.views.properties.IPropertySource;

import ch.unizh.ifi.adora.model.representation.JoinRelation;
import ch.unizh.ifi.adora.properties.JoinRelationProperties;
import ch.unizh.ifi.adora.properties.longtextproperty.AbstractLongTextPropertyAccess;
import ch.unizh.ifi.adora.properties.longtextproperty.ILongTextPropertyAccess;

/**
 * {@link JoinRelationContextMapPropertyAccess} objects are 
 * {@link ILongTextPropertyAccess} for the specification property
 * of {@link JoinRelation} model elements
 * 
 * @author				Cedric Jeanneret
 * @copyright			Requirements Engineering Research Group<br>
 *						Department of Informatics<br>
 *						University of Zurich<br>
 * @history				15.04.2008 CJ First Version (Fix Bug 855 and refactoring of long text property editors)
 * @version				$Date: 2008-10-27 10:12:16 +0100 (Mon, 27 Oct 2008) $, $Author: jehle $, $Revision: 3853 $
 */

public class JoinRelationContextMapPropertyAccess extends AbstractLongTextPropertyAccess implements ExtendedContextMapPropNames {
	


	/**
	 * @param modelElement
	 */
	public JoinRelationContextMapPropertyAccess(JoinRelation modelElement) {
		super(CONTEXT_MAP_PROP, CONTEXTMAP_PROP_NAME, modelElement, new JoinRelationProperties(modelElement));
	}

	/**
	 * @param modelElement
	 * @param propertySource
	 */
	public JoinRelationContextMapPropertyAccess(JoinRelation modelElement,
			IPropertySource propertySource) {
		super(CONTEXT_MAP_PROP, CONTEXTMAP_PROP_NAME, modelElement, propertySource);
	}

	/* (non-Javadoc)
	 * @see org.eclipse.core.runtime.IAdaptable#getAdapter(java.lang.Class)
	 */
	@SuppressWarnings("unchecked")
	public Object getAdapter(Class adapter) {
		if(adapter.isAssignableFrom(ContextMapEditorInput.class))
		{
			return new ContextMapEditorInput(this);
		}
		return null;
	}


	
	

}
