package ch.unizh.ifi.adora.properties.longtextproperty;

import org.eclipse.ui.IEditorInput;
import org.eclipse.ui.IEditorPart;


/**
 * An {@link ILongTextEditorInput} is an {@link IEditorInput}
 * for {@link LongTextPropertyEditor}. 
 * In contrary to other {@link IEditorInput}, it knows about
 * the editor that should edit it.
 *
 * @author		        Cedric Jeanneret
 * @copyright           Requirements Engineering Research Group<br>
 *                      Department of Informatics<br>
 *                      University of Zurich<br>
 * @history             15.04.2008 CJ First Version (Fix Bug 855 and refactoring of long text property editors)
 * @version             $Date: 2008-04-24 18:22:06 +0200 (Thu, 24 Apr 2008) $, $Author: jeanneret $, $Revision: 3619 $
 */

public interface ILongTextEditorInput extends IEditorInput {

	/**
	 * This is definitely a bad practice.
	 * There is however no other way except by 
	 * creating n PropertyDescriptors and n DialogCellEditor
	 * 
	 * @return the ID of the {@link IEditorPart} that is planned to open such an {@link IEditorInput}
	 */
	public String getLongTextEditorID();

}