package ch.unizh.ifi.adora.properties.specification;

import ch.unizh.ifi.adora.model.properties.SpecificationPropNames;
import ch.unizh.ifi.adora.properties.longtextproperty.ILongTextPropertyAccess;

/**
 * Interface defining a derived property (the {@link ILongTextPropertyAccess}
 * object)
 *      
 * @author              Cedric Jeanneret
 * @copyright           Requirements Engineering Research Group<br>
 *                      Department of Informatics<br>
 *                      University of Zurich<br>
 * @history             15.04.2008 CJ First version
 * @version             $Date: 2008-10-27 10:12:16 +0100 (Mon, 27 Oct 2008) $, $Author: jehle $, $Revision: 3853 $
 */

public interface ExtendedSpecificationPropNames extends SpecificationPropNames {

    /**
     * An unique ID for the property
     */
    public static final String SPECIFICATION_ACCESS_PROP = SPECIFICATION_PROP + ".access";
    
    
    /**
     * A constant defining the name of the long text property (used by the editor)
     */
    public static final String SPECIFICATION_PROP_NAME = "Specification";
    
}