package ch.unizh.ifi.adora.properties.specification;

import ch.unizh.ifi.adora.properties.longtextproperty.ILongTextPropertyAccess;
import ch.unizh.ifi.adora.properties.longtextproperty.AbstractLongTextEditorInput;

/**
 * A subclass of {@link AbstractLongTextEditorInput} for specification
 * property
 *
 * @author		        Ivo Vigan
 * @copyright           Requirements Engineering Research Group<br>
 *                      Department of Informatics<br>
 *                      University of Zurich<br>
 * @history             06.03.2006 SM First Version
 * 						15.04.2008 CJ Fix Bug 855 (and refactoring of long text property editors)
 * @version             $Date: 2008-10-27 10:12:16 +0100 (Mon, 27 Oct 2008) $, $Author: jehle $, $Revision: 3853 $
 */
public class SpecificationEditorInput extends AbstractLongTextEditorInput {

	/**
	 * @param propertyAccess
	 */
	public SpecificationEditorInput(ILongTextPropertyAccess propertyAccess) {
		super(propertyAccess);
	}

	/* (non-Javadoc)
	 * @see ch.unizh.ifi.adora.properties.longtextproperty.LongTextEditorInput#getLongTextEditorID()
	 */
	public String getLongTextEditorID() {
		return SpecificationTextEditor.ID;
	}
	
	

	

}