package ch.unizh.ifi.adora.properties.specification;

import org.eclipse.ui.editors.text.TextEditor;

import ch.unizh.ifi.adora.AdoraPlugin;
import ch.unizh.ifi.adora.properties.longtextproperty.LongTextPropertyEditor;
import ch.unizh.ifi.adora.properties.specification.scanner.SpecificationSourceViewerConfig;
import ch.unizh.ifi.adora.ui.AdoraModelEditor;

/**
 * This editor acts as the standard editor for component specifications.
 * It gets called as soon as a user presses the button in the specification property field.
 * 
 *
 * @author		        Ivo Vigan
 * @copyright           Requirements Engineering Research Group<br>
 *                      Department of Informatics<br>
 *                      University of Zurich<br>
 * @history             06.03.2006 SM First Version
 * 						15.04.2008 CJ Fix Bug 855 (and refactoring of long text property editors)
 * @version             $Date: 2008-04-16 10:45:42 +0200 (Wed, 16 Apr 2008) $, $Author: jeanneret $, $Revision: 3598 $
 */

public class SpecificationTextEditor extends LongTextPropertyEditor {
    /**
     * Reference to the corresponding ADORA editor.
     */
	private AdoraModelEditor adoraEditor = null;
	/**
	 * ID, used for detecting this {@link TextEditor} when only knowing 
	 * the {@link org.eclipse.ui.IWorkbench}.
	 */
	public static final String ID = "ch.unizh.ifi.adora.properties.specification.SpecificationTextEditor";

	/**
	 * ID, used for detecting the help of this {@link TextEditor} when only knowing 
	 * the {@link org.eclipse.ui.IWorkbench}.
	 */
	public static final String HELPID = "ch.unizh.ifi.adora.editor.SpecificationTextEditorHelp";

	/**
	 * Instantiates a SpecificationTextEditor.
	 */
	public SpecificationTextEditor(){
		super();
		this.setAdoraEditor(AdoraPlugin.getActiveEditor());
		setSourceViewerConfiguration(new SpecificationSourceViewerConfig());
        setHelpContextId(HELPID);
	}

	public AdoraModelEditor getAdoraEditor() {
		return adoraEditor;
	}

	public void setAdoraEditor(AdoraModelEditor adoraEditor) {
		this.adoraEditor = adoraEditor;
	}

	
	 
}
 