package ch.unizh.ifi.adora.properties.specification.scanner;

import java.io.IOException;
import java.io.InputStream;

import org.eclipse.jface.text.BadLocationException;
import org.eclipse.jface.text.IDocument;
import org.eclipse.jface.text.rules.ICharacterScanner;

public class LexerInputStream extends InputStream {

    public static int UNDEFINED = JavaCCSpecificationScanner.UNDEFINED;
    
    public static int EOF = ICharacterScanner.EOF;
    
    /** The offset of the next character to be read */
    protected int fOffset;
    
    /** The end offset of the range to be scanned */
    protected int fRangeEnd;
    
    /** The document to be scanned */
    protected IDocument fDocument;
    
    /** The cached column of the current scanner position */
    protected int fColumn;
    
    public LexerInputStream() {
        
    }
    
    public LexerInputStream(IDocument doc) {
        fDocument = doc;
    }
    
    public int read() throws IOException {

        try {

            if (fOffset < fRangeEnd) {
                try {
                    return fDocument.getChar(fOffset);
                } catch (BadLocationException e) {
                }
            }
            return EOF;
        } finally {
            ++ fOffset;
            fColumn= UNDEFINED;
        }
    }

    public boolean isEof(){
        return ((fOffset >= fRangeEnd)?true:false);
    }
    
    /*
     * @see ICharacterScanner#unread()
     */
    public void unread() {
            --fOffset;
    }
    
    public int getFOffset() {
        return fOffset;
    }
    
    public void setFOffset(int fOffset) {
        this.fOffset = fOffset;
    }
    
    public void setFColumn(int fColumn) {
        this.fColumn = fColumn;
    }
    
    public int getFColumn() {
        return fColumn;
    }
    
    public int getFRangeEnd() {
        return this.fRangeEnd;
    }
    
    public void setFRangeEnd(int fRangeEnd) {
        this.fRangeEnd = fRangeEnd;
    }
    
    public void setDocument(IDocument doc) {
        this.fDocument = doc;
    }
    
    public IDocument getDocument() {
        return fDocument;
    }
}
