package ch.unizh.ifi.adora.properties.specification.scanner;

import org.eclipse.jface.text.IDocument;
import org.eclipse.jface.text.presentation.IPresentationReconciler;
import org.eclipse.jface.text.presentation.PresentationReconciler;
import org.eclipse.jface.text.rules.DefaultDamagerRepairer;
import org.eclipse.jface.text.source.ISourceViewer;
import org.eclipse.jface.text.source.SourceViewerConfiguration;

/**
 * Configuration for the source viewer.
 * 
 * @author              vigan
 * @copyright           Requirements Engineering Research Group<br>
 *                      Department of Informatics<br>
 *                      University of Zurich<br>
 * @history             May 12, 2006 IV First Version
 * @version             $Date: 2006-09-07 11:19:03 +0200 (Thu, 07 Sep 2006) $, $Author: vigan $, $Revision: 2191 $
 *
 */
public class SpecificationSourceViewerConfig extends SourceViewerConfiguration {
	/**
     * 
	 */
    private JavaCCSpecificationScanner scanner;
    
    protected JavaCCSpecificationScanner getTagScanner() {
		if (scanner == null) {
			scanner = new FSLSpecificationScanner();			
		}
		return scanner;
	}

	/**
	 * Define reconciler for MyEditor
	 */
	public IPresentationReconciler getPresentationReconciler(ISourceViewer sourceViewer) {
		PresentationReconciler reconciler = new PresentationReconciler();
		DefaultDamagerRepairer dr = new DefaultDamagerRepairer(getTagScanner());
		reconciler.setDamager(dr, IDocument.DEFAULT_CONTENT_TYPE);
		reconciler.setRepairer(dr, IDocument.DEFAULT_CONTENT_TYPE);
		return reconciler;
	}

}