package ch.unizh.ifi.adora.properties.specification.scanner;

import org.eclipse.jface.text.TextAttribute;
import org.eclipse.jface.text.rules.EndOfLineRule;
import org.eclipse.jface.text.rules.IRule;
import org.eclipse.jface.text.rules.IToken;
import org.eclipse.jface.text.rules.PatternRule;
import org.eclipse.jface.text.rules.RuleBasedScanner;
import org.eclipse.jface.text.rules.SingleLineRule;
import org.eclipse.jface.text.rules.Token;
import org.eclipse.swt.graphics.Color;
import org.eclipse.swt.graphics.RGB;
import org.eclipse.swt.widgets.Display;

/**
 * Simple rule scanner.used temporarily until the rule scanner is implemented.
 *
 * @author              vigan
 * @copyright           Requirements Engineering Research Group<br>
 *                      Department of Informatics<br>
 *                      University of Zurich<br>
 * @history             May 12, 2006 IV First Version
 * @version             $Date: 2006-09-26 10:52:33 +0200 (Tue, 26 Sep 2006) $, $Author: vigan $, $Revision: 2267 $
 */
public class _SpecificationRuleScanner extends RuleBasedScanner {
    /**
     *  Tag color.
     */
    private static Color TAG_COLOR =
		new Color(Display.getCurrent(), new RGB(200, 0, 0));
	
    /**
     * Comment color.
     */
    private static Color COMMENT_COLOR =
		new Color(Display.getCurrent(), new RGB(0, 200, 0));

    /**
     * Constructor initializes the rules..
     */
	public _SpecificationRuleScanner() {
		IToken tagToken = new Token(new TextAttribute(TAG_COLOR));
		IToken commentToken = new Token(new TextAttribute(COMMENT_COLOR));

		IRule[] rules = {
			new SingleLineRule("<myTag", "myTag>", tagToken),
			new EndOfLineRule("//", commentToken),
			new PatternRule("adora", "adora", commentToken, ' ', false)
			
		};
		setRules(rules);
	}
}
