package ch.unizh.ifi.adora.properties.specification.scanner;

import org.eclipse.jface.text.IDocument;
import org.eclipse.jface.text.TextAttribute;
import org.eclipse.jface.text.presentation.IPresentationReconciler;
import org.eclipse.jface.text.presentation.PresentationReconciler;
import org.eclipse.jface.text.rules.DefaultDamagerRepairer;
import org.eclipse.jface.text.rules.Token;
import org.eclipse.jface.text.source.ISourceViewer;
import org.eclipse.jface.text.source.SourceViewerConfiguration;
import org.eclipse.swt.graphics.Color;
import org.eclipse.swt.graphics.RGB;
import org.eclipse.swt.widgets.Display;

/**
 * Configuration for the source viewer.
 * 
 * @author              vigan
 * @copyright           Requirements Engineering Research Group<br>
 *                      Department of Informatics<br>
 *                      University of Zurich<br>
 * @history             May 12, 2006 IV First Version
 * @version             $Date: 2006-05-12 18:27:38 +0200 (Fri, 12 May 2006) $, $Author: smeier $, $Revision: 1505 $
 *
 */
public class _SpecificationSourceViewerConfig extends SourceViewerConfiguration {
	/**
     * 
	 */
    private _SpecificationRuleScanner scanner;

    /**
     * Default color.
     */
	private static Color DEFAULT_TAG_COLOR= new Color(Display.getCurrent(), new RGB(0, 0, 200));

	protected _SpecificationRuleScanner getTagScanner() {
		if (scanner == null) {
			scanner = new _SpecificationRuleScanner();
			scanner.setDefaultReturnToken(
				new Token(
					new TextAttribute(
			DEFAULT_TAG_COLOR)));
		}
		return scanner;
	}

	/**
	 * Define reconciler for MyEditor
	 */
	public IPresentationReconciler getPresentationReconciler(ISourceViewer sourceViewer) {
		PresentationReconciler reconciler = new PresentationReconciler();
		DefaultDamagerRepairer dr = new DefaultDamagerRepairer(getTagScanner());
		reconciler.setDamager(dr, IDocument.DEFAULT_CONTENT_TYPE);
		reconciler.setRepairer(dr, IDocument.DEFAULT_CONTENT_TYPE);
		return reconciler;
	}

}