package ch.unizh.ifi.adora.properties.validators;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

import org.eclipse.jface.viewers.ICellEditorValidator;

/**
 * Responsible that only numerical values and 
 * at most one letter are typed into a property field.     
 *
 * @author              Ivo Vigan
 * @copyright           Requirements Engineering Research Group<br>
 *                      Department of Informatics<br>
 *                      University of Zurich<br>
 * @history             20.04.2006 SM First Version
 * @version             $Date: 2007-01-25 18:06:03 +0100 (Thu, 25 Jan 2007) $, $Author: smeier $, $Revision: 2403 $
 */
public class CardinalityValidator  implements ICellEditorValidator {

    /**
     * Checks, if a cast between sting and cardinality can be performed.
     */
    public String isValid(Object value) {
        boolean b =false;
        Pattern pNum = Pattern.compile("\\d*");
        Pattern pAlpha = Pattern.compile("[a-zA-Z]");
        
        Matcher mNum = pNum.matcher((String) value);
        Matcher mAlpha = pAlpha.matcher((String) value);
        b = mNum.matches() || mAlpha.matches();
        
        return (b) ? null : (String)value;
    }
}