package ch.unizh.ifi.adora.properties.validators;

import org.eclipse.jface.viewers.ICellEditorValidator;

/**
 * Responsible, that only numerical values are typed into a property field.
 *
 * @author		        Ivo Vigan
 * @copyright           Requirements Engineering Research Group<br>
 *                      Department of Informatics<br>
 *                      University of Zurich<br>
 * @history             06.03.2006 SM First Version
 * @version             $Date: 2006-09-28 16:05:58 +0200 (Thu, 28 Sep 2006) $, $Author: vigan $, $Revision: 2297 $
 */
public class NumericValidator implements ICellEditorValidator {

	/**
	 * Checks, if a cast between sting and int can be performed.
	 */
	public String isValid(Object value) {
		int intValue = -1;
		try {
			intValue = Integer.parseInt((String) value);
		} catch (NumberFormatException exc) {
			return "The value must be a number";
		}
		return (intValue >= 0) ? null : "The value can't be negativ.";
	}
}