package ch.unizh.ifi.adora.properties.validators;

import org.eclipse.jface.viewers.ICellEditorValidator;

import ch.unizh.ifi.adora.model.representation.Component;
import ch.unizh.ifi.adora.model.representation.StartStateContainer;
import ch.unizh.ifi.adora.ui.constrainthint.IPropertyConstraintMessages;

/**
 * Validates the start state attribute.
 * 
 * @author		        Pascal Schoeni
 * @copyright           Requirements Engineering Research Group<br>
 *                      Department of Informatics<br>
 *                      University of Zurich<br>
 * @version             $Date: 2007-06-01 13:46:21 +0200 (Fri, 01 Jun 2007) $, $Author: schoeni $, $Revision: 2742 $
 */
public class StartStateValidator implements ICellEditorValidator {

	/**
	 * Stores the modelelement.
	 */
	private StartStateContainer startState; 
	
	/**
	 * Constructor
	 * 
	 * @param otherCard The modelelement.
	 */
	public StartStateValidator(StartStateContainer component){
		this.startState = component;
	}
	
	/*  (non-Javadoc)
	 * @see org.eclipse.jface.viewers.ICellEditorValidator#isValid(java.lang.Object)
	 */
	public String isValid(Object value) {
		boolean on = ((Integer)value).intValue() > 0; 
		
		if (on) {
			if (this.startState instanceof Component) {
				Component component = (Component) startState;
				if (component.isExternal()) {
					return IPropertyConstraintMessages.STARTSTATE_EXTERNAL;
				}
			}
		}
		
		return null;
	}
}