package ch.unizh.ifi.adora.properties.validators.component;

import org.eclipse.jface.viewers.ICellEditorValidator;

import ch.unizh.ifi.adora.model.representation.Component;
import ch.unizh.ifi.adora.ui.constrainthint.IPropertyConstraintMessages;

/**
 * Validates the type attribute.
 * 
 * @author		        Ivo Vigan
 * @copyright           Requirements Engineering Research Group<br>
 *                      Department of Informatics<br>
 *                      University of Zurich<br>
 * @history             28.09.2006 IV First Version
 * @version             $Date: 2006-09-28 16:05:58 +0200 (Thu, 28 Sep 2006) $, $Author: vigan $, $Revision: 2297 $
 */
public class TypeValidator implements ICellEditorValidator {

	/**
	 * Stores the modelelement.
	 */
	private Component component; 
	
	/**
	 * Constructor
	 * 
	 * @param otherCard The modelelement.
	 */
	public TypeValidator(Component component){
		this.component = component;
	}
	/*
	 *  (non-Javadoc)
	 * @see org.eclipse.jface.viewers.ICellEditorValidator#isValid(java.lang.Object)
	 */
	public String isValid(Object value) {
		boolean on = ((Integer)value).intValue() > 0; 
		
		if (component.isExternal() && on) 
			return IPropertyConstraintMessages.EXTERNAL_TYPE;
		return null;
	}
}