package ch.unizh.ifi.adora.properties.validators.joinrelation;

import org.eclipse.jface.viewers.ICellEditorValidator;

import ch.unizh.ifi.adora.model.representation.AspectContainer;
import ch.unizh.ifi.adora.model.representation.JoinRelation;
import ch.unizh.ifi.adora.ui.constrainthint.IPropertyConstraintMessages;

/**
 * Validates the weaving type attribute.
 * 
 * @author		        Ivo Vigan
 * @copyright           Requirements Engineering Research Group<br>
 *                      Department of Informatics<br>
 *                      University of Zurich<br>
 * @history             28.09.2006 IV First Version
 * @version             $Date: 2006-10-27 22:37:43 +0200 (Fri, 27 Oct 2006) $, $Author: smeier $, $Revision: 2340 $
 */
public class WeavingTypeValidator  implements ICellEditorValidator {

	/**
	 * Stores the modelelement.
	 */
	private JoinRelation joinRelation; 
	
	/**
	 * Constructor
	 * 
	 * @param otherCard The modelelement.
	 */
	public WeavingTypeValidator(JoinRelation joinRelation){
		this.joinRelation = joinRelation;
	}
	
	 /*  (non-Javadoc)
	 * @see org.eclipse.jface.viewers.ICellEditorValidator#isValid(java.lang.Object)
	 */
	public String isValid(Object value) {
			
		if (joinRelation.getSource() instanceof AspectContainer) 
			return IPropertyConstraintMessages.WEAVING_TYPE;
		return null;
	}
	
}
