package ch.unizh.ifi.adora.properties.validators.scenario;

import ch.unizh.ifi.adora.model.representation.Scenario;
import ch.unizh.ifi.adora.properties.validators.PositivNumericValidator;
import ch.unizh.ifi.adora.ui.constrainthint.IPropertyConstraintMessages;

/**
 * Validates the seqNo attribute.
 * 
 * @author		        Ivo Vigan
 * @copyright           Requirements Engineering Research Group<br>
 *                      Department of Informatics<br>
 *                      University of Zurich<br>
 * @history             28.09.2006 IV First Version
 * @version             $Date: 2007-01-25 18:06:03 +0100 (Thu, 25 Jan 2007) $, $Author: smeier $, $Revision: 2403 $
 */
public class SeqNoValidator extends PositivNumericValidator {

	/**
	 * Stores the modelelement.
	 */
	private Scenario model; 
	
	/**
	 * Constructor
	 * 
	 * @param otherCard The modelelement.
	 */
	public SeqNoValidator(Scenario model){
		this.model = model;
	}
	
	/* (non-Javadoc)
	 * @see org.eclipse.jface.viewers.ICellEditorValidator#isValid(java.lang.Object)
	 */
	public String isValid(Object value) {
		if (model.getScenarioType() != Scenario.SEQUENCE)
			return IPropertyConstraintMessages.SEQ_NO;
		return super.isValid(value);
	}
}