package ch.unizh.ifi.adora.representation.management;

/**
 * Constants for those events that are fired by the ViewManager.
 *
 * @author				Tobias Reinhard
 * @copyright			Requirements Engineering Research Group<br>
 *						Department of Informatics<br>
 *						University of Zurich<br>
 * @history				2008-01-10 TR First Version
 * @version				$Date: 2008-01-10 10:01:21 +0100 (Thu, 10 Jan 2008) $, $Author: treinhard $, $Revision: 3446 $
 * @responsibilities	Event constants for the ViewManager
 *
 */
public interface ViewManagementConstants {

	/**
	 * Fired before the filtering of a node type starts
	 */
	public static String NODE_FILTER_START = "NodeFilterStart";
	
	/**
	 * Fired after the filtering of a node type has been finished
	 */
	public static String NODE_FILTER_END = "NodeFilterEnd";
	
}
