package ch.unizh.ifi.adora.tools;

import org.eclipse.gef.tools.PanningSelectionTool;

import ch.unizh.ifi.adora.ui.constrainthint.ConstraintHint;

/**
 * The {@link PanningSelectionTool} has been overwritten so that 
 * {@link ch.unizh.ifi.adora.ui.constrainthint.IConstraintMessages} 
 * can be deleted if the mousebutton has been released.
 * 
 * @author		        Ivo Vigan
 * @copyright           Requirements Engineering Research Group<br>
 *                      Department of Informatics<br>
 *                      University of Zurich<br>
 * @history             28.09.2006 IV First Version
 * @version             $Date: 2006-09-28 11:47:03 +0200 (Thu, 28 Sep 2006) $, $Author: vigan $, $Revision: 2289 $
 */
public class ConstraintTool extends PanningSelectionTool{

	/**
	 * The {@link PanningSelectionTool#handleButtonUp(int)} 
	 * has been overwritten so that  
	 * {@link ch.unizh.ifi.adora.ui.constrainthint.IConstraintMessages} 
	 * can be deleted if the mousebutton has been released.
	 * 
	 * {@see ConstraintTool#handleButtonUp(int)}
	 */
	protected boolean handleButtonUp(int which) {
		if (ConstraintHint.isConstraintShown())
			ConstraintHint.resetConstraintHint();
		return super.handleButtonUp(which);
	}
}