package ch.unizh.ifi.adora.tools;

import org.eclipse.gef.palette.ConnectionCreationToolEntry;
import org.eclipse.gef.requests.CreationFactory;
import org.eclipse.jface.resource.ImageDescriptor;

/**
 * ToolEntry for the SelectingConnectionCreationTool which automatically selects
 * a connection after it has been added.
 *
 * @author				Tobias Reinhard
 * @copyright			Requirements Engineering Research Group<br>
 *						Department of Informatics<br>
 *						University of Zurich<br>
 * @history				2007-10-24 TR First Version
 * @version				$Date: 2007-10-24 11:24:51 +0200 (Wed, 24 Oct 2007) $, $Author: treinhard $, $Revision: 3165 $
 */
public class SelectingConnectionCreationToolEntry extends ConnectionCreationToolEntry {

	/**
	 * Constructor for SelectingConnectionCreationToolEntry.
	 * @param label the label
	 * @param shortDesc the description
	 * @param factory the CreationFactory
	 * @param iconSmall the small icon
	 * @param iconLarge the large icon
	 */
	public SelectingConnectionCreationToolEntry(String label, String shortDesc, CreationFactory factory,
			ImageDescriptor iconSmall, ImageDescriptor iconLarge) {
		
		super(label, shortDesc, factory, iconSmall, iconLarge);
		
		// Set the tool class that does the automatic selection
		setToolClass(SelectingConnectionCreationTool.class);
	}
	
}
