package ch.unizh.ifi.adora.tracker;

import org.eclipse.gef.EditPart;
import org.eclipse.gef.tools.DragEditPartsTracker;

/**
 * This {@link DragEditPartsTracker} is used to scroll to the 
 * zoomed out {@link EditPart}. It has to be overwritten because otherwise 
 * it would always perform a DirectEdit.
 * 
 * @author		        Ivo Vigan
 * @copyright           Requirements Engineering Research Group<br>
 *                      Department of Informatics<br>
 *                      University of Zurich<br>
 * @history             04.09.2006 IV First Version
 * @version             $Date: 2006-09-04 18:17:40 +0200 (Mon, 04 Sep 2006) $, $Author: vigan $, $Revision: 2174 $
 */
public class FisheyeZoomTracker extends DragEditPartsTracker {

	/**
	 * Constructs a new FisheyeZoomTracker
	 * 
	 * @param sourceEditPart The EditPart which got zoomed out.
	 */
	public FisheyeZoomTracker(EditPart sourceEditPart) {
		super(sourceEditPart);
	}
	
	/**
	 *  return false
	 */
	protected boolean isMove() {
		return false;
	}

	/**
	 * Overwritten. 
	 * Do nothing.
	 */
	protected void performDirectEdit() {
	}
}