package ch.unizh.ifi.adora.ui;

import org.eclipse.gef.EditPartViewer;
import org.eclipse.gef.ui.actions.ActionRegistry;
import org.eclipse.gef.ui.actions.GEFActionConstants;
import org.eclipse.jface.action.IAction;
import org.eclipse.jface.action.IMenuManager;
import org.eclipse.ui.actions.ActionFactory;

/**
 * Provides the context-menu for the tree-outline EditPart. 
 * Basicly it appends the InvertView action to the context menu, constructed
 * in the AdoraModelEditorContextMenuProvider class.
 *      
 *
 * @author              Ivo Vigan
 * @copyright           Requirements Engineering Research Group<br>
 *                      Department of Informatics<br>
 *                      University of Zurich<br>
 * @history             24.03.2006 SM First Version
 * @version             $Date: 2006-06-16 16:42:34 +0200 (Fri, 16 Jun 2006) $, $Author: smeier $, $Revision: 1674 $
 */
public class AdoraTreeContextMenuProvider extends AdoraModelEditorContextMenuProvider{

    /**
     * Instantiates a new AdoraTreeContextMenuProvider
     * 
     * @param viewer
     * @param registry
     */
    public AdoraTreeContextMenuProvider(EditPartViewer viewer, ActionRegistry registry) {
        super(viewer, registry);
    }
    
    /**
     * Constructs the context menu for the Tree edit part.
     */
    public void buildContextMenu(IMenuManager menu) {
        super.buildContextMenu(menu);
        IAction action;
        action = getAction(ActionFactory.HELP_CONTENTS.getId());
        if (action.isEnabled())
            menu.appendToGroup(GEFActionConstants.GROUP_EDIT,   action);    
    }
}   

