package ch.unizh.ifi.adora.ui.constrainthint;

/**
 * Stores all user messages which get displayed in the eclipse status bar during
 * constraint violation.
 * 
 * @author Ivo Vigan
 * @copyright Requirements Engineering Research Group<br>
 *            Department of Informatics<br>
 *            University of Zurich<br>
 * @history 13.09.2006 IV First Version
 * @version $Date: 2008-01-22 14:04:49 +0100 (Tue, 22 Jan 2008) $, $Author: vontobel $, $Revision: 3470 $
 */
public interface IConstraintMessages {

	/*
     * Aspect Container Constraint Messages
     */
	public static String JOIN_RELATION_EXISTS = "A Join Relationship can only crosscut elements outside the Aspect Container from which it starts.";

	public static String ASSOCIATION_TO_INNER_ASPECT = "An Association can only be attached to the outermost Aspect Container.";

	public static String ASSOCIATION_TO_NODES = "An Aspect Container can only be connected by Associations to Components.";

	public static String CROSSCUTTING_ELEMENT = "A crosscutting element has to be situated inside an Aspect Container.";

	public static String NON_FUNCTIONAL_CONNECTION = "A non functional JoinRelation can only crosscut elements on the same or lower level.";

	/*
     * Component Constraint Messages
     */
	public static String EXTERNAL_COMPONENT = "An external Component can't have any children.";

	public static String COMPONENT_CHILDREN = "A Component can't have an Exitpoint.";
	
	

	/*
     * State Constraint Messages
     */
	public static String STATE_CHILDREN = "A State can only contain State objects.";

	public static String STATE_CONNECTIONS = "States can only crosscut Transitions.";

	public static String SOURCE_STATE_CROSSCUT = "A JoinRelation can only be attached to a State situated in an Aspect Container.";

	/*
     * ZoomableNodeContainer Constraint Messages
     */
	public static String ZOOMABLE_CHILDREN = "A ZoomableNodeContainer can only contain ZoomableNodeContainers or Scenarios.";

	public static String CONTAINER_ASSOCIATIONS = "An Association can't connect a parent to its child.";

	public static String ZOOMED_CONTAINER = "No children can be added to a zoomed out Container.";

	/*
     * Scenario Constraint Messages
     */
	public static String SCENARIO_TREE_HIERARCHY = "Scenarios can only be connected among each other in a way that a tree is built.";

	public static String SCENARIO_COMPONENT_HIERARCHY = "Parent Scenarios can't be situated in a child Component of a Scenario Children and vice versa.";

	public static String SCENARIO_NO_ROOT_ASSOCIATION = "The root node of the scenariochart must be connected at least to one environment object.";
	
	public static String SCENARIO_ASSOCIATION_CHUNK = "Association can only be drawn from a crosscutting scenario. You have to remove the joinrelation(s) first.";

	public static String SCENARIO_JOINRELATION = "JoinRelation can only be drawn from a root scenario inside an aspect container.";

	public static String SCENARIO_JOINRELATION_CROSSCUTTING = "JoinRelation can only be drawn from a scenario chunk. You have to remove the association(s) first.";

	public static String ZOOMED_SCENARIO_CONNECTION = "A Connection can't be attached to a zoomed out Scenario.";

	/*
     * Root Constraint Messages
     */
	public static String ROOT_CHILDREN = "Only Actors, Components and Aspect Containers can be added directly to the Root.";

	/*
     * Module Constraint Messages
     */
	public static String MODULE_CHILDREN = "Actors can't be added to Modules.";
	
	public static final String ACTOR_CIRCLE = "There cannot be circular joinrelations between Actors"; 

	/*
     * ITransitionGraph Constraint Messages
     */
	public static String TRANSITION_GRAPH = "Only elements with the same parent can be connected by Transitions.";

	/*
     * Actor Constraint Messages
     */
	public static String ACTOR_ASSOCIATION = "Actors can only be connected by Associations to root Scenarios, Actors or external Components.";

	/*
     * Connection Constraint Messages
     */
	public static String CONNECTION_CONNECTING = "Only JoinRelations can be attached to Connections.";

	/*
     * Association Constraint Messages
     */
	public static String CALC_CONNECTION = "A Calculated abstract Connection can't be reconnected.";

	public static String PARENT_CHILD_ASSOCIATION = "A Parent can't be connected to a Child and vica versa.";

	/*
     * Component Constraint Messages
     */
	public static String EXIT_POINT_CONNECTION = "An Exit Point can only be connected by Transitons from elements situated in the same Aspect Container.";

}
