package ch.unizh.ifi.adora.ui.constrainthint;

/**
 * Stores all user messages which get displayed in the eclipse status bar during
 * constraint violation.
 * 
 * @author Ivo Vigan
 * @copyright Requirements Engineering Research Group<br>
 *            Department of Informatics<br>
 *            University of Zurich<br>
 * @history 13.09.2006 IV First Version
 * @version $Date: 2007-05-21 10:48:21 +0200 (Mon, 21 May 2007) $, $Author: schoeni $, $Revision: 2699 $
 */
public interface IPropertyConstraintMessages {

	/*
     * Cardinality
     */
	public static String MIN_CARD = "The minimum cardinality can't be larger than the maximum cardinality";

	public static String MAX_CARD = "The maximum cardinality can't be smaller than the minimum cardinality";

	/*
	 * Start state
	 */
	public static String STARTSTATE_EXTERNAL = "Start states can not be external components.";
	
	/*
     * Component
     */
	public static String EXTERNAL_TYPE = "External Components can't have a type.";

	public static String EXTERNAL_CHILD = "External Components can't have any children.";

	public static String EXTERNAL_PARTIAL = "External Components can't be partial.";

	public static String EXTERNAL_ASSO = "Only external Components can be connected to Actors or Scenarios.";

	public static String EXTERNAL_STARTSTATE = "External Components can not be start states.";

	/*
     * Scenario
     */
	public static String SEQ_NO = "Only a Scenario of type Sequence can have a sequence number.";

	/*
     * JoinRelation
     */
	public static String WEAVING_TYPE = "A nonfunctional JoinRelation can't have a weaving type.";

}
