package ch.unizh.ifi.adora.ui.preferences;

import org.eclipse.jface.preference.ColorFieldEditor;
import org.eclipse.jface.preference.BooleanFieldEditor;
import org.eclipse.jface.preference.FieldEditorPreferencePage;
import org.eclipse.jface.preference.FontFieldEditor;
import org.eclipse.jface.preference.IntegerFieldEditor;
import org.eclipse.ui.IWorkbench;
import org.eclipse.ui.IWorkbenchPreferencePage;
import org.eclipse.ui.PlatformUI;
import org.eclipse.ui.help.IWorkbenchHelpSystem;

import ch.unizh.ifi.adora.AdoraPlugin;

public class AppearancePreferencePage extends FieldEditorPreferencePage
		implements IWorkbenchPreferencePage {

	/**
	 * Constructor for the preference page.
	 * 
	 * @pre true
	 * @post true
	 */
	public AppearancePreferencePage() {
		super(GRID);
		setPreferenceStore(AdoraPlugin.getDefault().getPreferenceStore());
		setDescription("Appearance");
	}
	
	
	protected void createFieldEditors() {
		
		addField(
			new FontFieldEditor(
				IPreferenceNameConstants.ADORA_VIEW_NODE_LABEL_FONT,
				"Node label font:",
				getFieldEditorParent()));
		
		addField(
				new FontFieldEditor(
					IPreferenceNameConstants.ADORA_VIEW_CONNECTION_LABEL_FONT,
					"Connection label font:",
					getFieldEditorParent()));	
		
		addField(
			new IntegerFieldEditor(
				IPreferenceNameConstants.ADORA_VIEW_TRANSITION_ARROW_SIZE,
				"Transition arrow size:",
				getFieldEditorParent()));
		
		addField(
			new BooleanFieldEditor(
				IPreferenceNameConstants.ADORA_VIEW_SHADE_HIERARCHY,
				"Shade the hierarchy",
				getFieldEditorParent()));
		
		addField(
			new ColorFieldEditor(
				IPreferenceNameConstants.ADORA_VIEW_SHADE_COLOR,
				"Shading color",
				getFieldEditorParent()));
		
        registerHelp();
	}

	public void init(IWorkbench workbench) {

	}
    
    /**
     * Registers the editor canvas and its palette (the editor) at the help.
     */
    private void registerHelp() {
        // Register help
        IWorkbenchHelpSystem wh = PlatformUI.getWorkbench().getHelpSystem();
        wh.setHelp(getControl(), "ch.unizh.ifi.adora.editor.AdoraAppearancePreferencePage");   
    }

}
