package ch.unizh.ifi.adora.ui.preferences;

import org.eclipse.jface.preference.BooleanFieldEditor;
import org.eclipse.jface.preference.FieldEditorPreferencePage;
import org.eclipse.ui.IWorkbench;
import org.eclipse.ui.IWorkbenchPreferencePage;

import ch.unizh.ifi.adora.AdoraPlugin;

/**
 * Preference page for Berner's zoom algorithms.
 *
 * @author				Tobias Reinhard
 * @copyright			Requirements Engineering Research Group<br>
 *						Department of Informatics<br>
 *						University of Zurich<br>
 * @history				2007-05-31 TR First Version
 * @version				$Date: 2007-05-31 09:42:18 +0200 (Thu, 31 May 2007) $, $Author: treinhard $, $Revision: 2722 $
 *
 */
public class NewBernerPreferencePage extends FieldEditorPreferencePage implements IWorkbenchPreferencePage {
	
	public NewBernerPreferencePage() {
		super(GRID);
		setPreferenceStore(AdoraPlugin.getDefault().getPreferenceStore());
		setDescription("Zoom preferences");
	}
	
	/*
	 *  (non-Javadoc)
	 * @see org.eclipse.jface.preference.FieldEditorPreferencePage#createFieldEditors()
	 */
	protected void createFieldEditors() {
		
		addField(
				new BooleanFieldEditor(
					IPreferenceNameConstants.ADORA_REPRESENTATION_LAYOUT_SHOW_OCCLUSIONS,
					"&Show occlusions prevented by the layout algorithm",
					getFieldEditorParent()));
		addField(
				new BooleanFieldEditor(
					IPreferenceNameConstants.ADORA_REPRESENTATION_LAYOUT_SHOW_ORIGINAL_POSITIONS,
					"Show the &original position of moved components",
					getFieldEditorParent()));
		addField(
				new BooleanFieldEditor(
					IPreferenceNameConstants.ADORA_REPRESENTATION_LAYOUT_SHOW_ORIGINAL_CHILD_POSITIONS,
					"Show the original position of moved &children components",
					getFieldEditorParent()));
		addField(
				new BooleanFieldEditor(
					IPreferenceNameConstants.ADORA_REPRESENTATION_LAYOUT_SHOW_ARROWS,
					"Show movement &vectors",
					getFieldEditorParent()));
		addField(
				new BooleanFieldEditor(
					IPreferenceNameConstants.ADORA_SAVE_MODEL_BEFORE_COMMAND,
					"Save model before relayouting",
					getFieldEditorParent()));
	}
	
	/*
	 *  (non-Javadoc)
	 * @see org.eclipse.ui.IWorkbenchPreferencePage#init(org.eclipse.ui.IWorkbench)
	 */
	public void init(IWorkbench workbench) {
	}
}