package ch.unizh.ifi.adora.ui.storage;

import java.io.InputStream;

import org.eclipse.core.resources.IStorage;
import org.eclipse.core.runtime.CoreException;
import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.ui.IPersistableElement;
import org.eclipse.ui.IStorageEditorInput;

/**
 * Used to load a model from the db into the editor.
 *
 * @author		        Ivo Vigan
 * @copyright           Requirements Engineering Research Group<br>
 *                      Department of Informatics<br>
 *                      University of Zurich<br>
 * @history             29.06.2006 SM First Version
 * @version             $Date: 2007-06-05 14:07:40 +0200 (Tue, 05 Jun 2007) $, $Author: schoeni $, $Revision: 2749 $
 */
public class AdoraInput implements IStorageEditorInput{

	/**
	 * Stores the Adora model in from of an InputStream.
	 */
	private AdoraStorage as;
	
	/**
	 * Contains the question text.
	 */
	private String name;
	
	/** 
	 * Instantiates a new AdoraInput.
	 * 
	 * @param stream  Contains the Adora model.
	 * @param name Contains the question text.
	 */
	public AdoraInput(InputStream stream, String name) {
		this.as = new AdoraStorage(stream, name);
		this.name = name;
	}

	/*
	 *  (non-Javadoc)
	 * @see org.eclipse.ui.IStorageEditorInput#getStorage()
	 */
	public IStorage getStorage() throws CoreException {
		return as;
	}

	/*
	 *  (non-Javadoc)
	 * @see org.eclipse.ui.IEditorInput#exists()
	 */
	public boolean exists() {
		return false;
	}

	/*
	 *  (non-Javadoc)
	 * @see org.eclipse.ui.IEditorInput#getImageDescriptor()
	 */
	public ImageDescriptor getImageDescriptor() {
		return null;
	}

	/*
	 *  (non-Javadoc)
	 * @see org.eclipse.ui.IEditorInput#getName()
	 */
	public String getName() {
		return name;
	}

	/*
	 *  (non-Javadoc)
	 * @see org.eclipse.ui.IEditorInput#getPersistable()
	 */
	public IPersistableElement getPersistable() {
		return null;
	}

	/*
	 *  (non-Javadoc)
	 * @see org.eclipse.ui.IEditorInput#getToolTipText()
	 */
	public String getToolTipText() {
		return name;
	}

	/*
	 *  (non-Javadoc)
	 * @see org.eclipse.core.runtime.IAdaptable#getAdapter(java.lang.Class)
	 */
	public Object getAdapter(Class adapter) {
		return null;
	}
}