package ch.unizh.ifi.adora.ui.storage;

import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.io.InputStream;

import org.eclipse.core.resources.IStorage;
import org.eclipse.core.runtime.CoreException;
import org.eclipse.core.runtime.IPath;
import org.eclipse.core.runtime.Path;

/**
 * Contains the Adora model in form of a Stream..     
 *
 * @author		        Ivo Vigan
 * @copyright           Requirements Engineering Research Group<br>
 *                      Department of Informatics<br>
 *                      University of Zurich<br>
 * @history             29.06.2006 SM First Version
 * @version             $Date: 2006-07-24 16:11:15 +0200 (Mon, 24 Jul 2006) $, $Author: vigan $, $Revision: 1893 $
 */
public class AdoraStorage implements IStorage {

	/**
	 * Contains the question text.
	 */
	private String name;
	
	/**
	 * Contains the Adora model.
	 */
	private byte[] object;

	/**
	  * Instantiates a new AdoraInput.
	  * 
	 * @param is Contains the Adora model.
	 * @param name Contains the question text.
	 */
	public AdoraStorage(InputStream is, String name) {
		this.name = name;
		int length = 0;
		try {
			length = is.available();
			object = new byte[length];
			for(int i=0; i < length; i++){
				object[i] = (byte)is.read();
			}
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

	/**
	 * Return the Adora model in form of an InputStream.
	 */
	public InputStream getContents() throws CoreException {
		return new ByteArrayInputStream(object);
	}

	/*
	 *  (non-Javadoc)
	 * @see org.eclipse.core.resources.IStorage#getFullPath()
	 */
	public IPath getFullPath() {
		IPath p = new Path("");
		return p;
	}

	/*
	 *  (non-Javadoc)
	 * @see org.eclipse.core.resources.IStorage#getName()
	 */
	public String getName() {
		return name;
	}

	/*
	 *  (non-Javadoc)
	 * @see org.eclipse.core.resources.IStorage#isReadOnly()
	 */
	public boolean isReadOnly() {
		return true;
	}

	/*
	 *  (non-Javadoc)
	 * @see org.eclipse.core.runtime.IAdaptable#getAdapter(java.lang.Class)
	 */
	public Object getAdapter(Class adapter) {
		return null;
	}
}