package ch.unizh.ifi.adora.ui.views;

import org.eclipse.jface.viewers.ComboBoxCellEditor;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.ui.views.properties.ComboBoxPropertyDescriptor;

/**
 * This class is responsible for generating a new ComboBoxPropertyDescriptor for
 * the requirement ID cell in the PropertySheet
 * @author Tobias Reinhard
 *
 */
public class RequirementDescriptor extends ComboBoxPropertyDescriptor {
	
	/**
	 * Stores the ComboBoxCellEditor
	 */
	private ComboBoxCellEditor editor;
	
	/**
	 * Stores the current requirement ID list
	 */
	private String[] requirementIDs;
	
	/**
	 * Constructor
	 * @param Object id
	 * @param String desc
	 * @param String[] requirementIDs
	 */
	public RequirementDescriptor (Object id, String desc, String[] requirementIDs) {
		super(id, desc, requirementIDs);
		this.requirementIDs = requirementIDs;
	}
	
	/**
	 * Creates a new ComboBoxCellEditor
	 * @return ComboBoxCellEditor editor
	 */
	public ComboBoxCellEditor createPropertyEditor(Composite parent) {
		editor = new ComboBoxCellEditor(parent, requirementIDs);
		return editor;
	}
	
	/**
	 * Returns the ComboBoxCellEditor
	 * @return ComboBoxCellEditor editor
	 */
	public ComboBoxCellEditor getEditor() {
		return editor;
	}
}
