package ch.unizh.ifi.adora.ui.views.syntaxerrors;

import org.eclipse.swt.graphics.Image;

/**
 * Represents the interface for all tree node objects in the syntax problem tree viewer.
 * 
 * @author 				Pascal Schoeni
 * @author				smeier
 * @copyright			Requirements Engineering Research Group<br>
 *						Department of Informatics<br>
 *						University of Zurich<br>
 * @history				21.09.2007 SM First Version
 * 						24.01.2008 CR total refactoring.
 * @version				$Date: 2008-01-24 13:08:40 +0100 (Thu, 24 Jan 2008) $, $Author: cramer $, $Revision: 3498 $
 *
 */
public interface TreeNode {

	/**
     * Getting the name of this node.
     * 
     * @return Returns a textual description for this node.
     */
	public String getDescription();

	/**
     * Getting the image for this node
     * 
     * @return Returns the image for this node.
     */
	public Image getImage();

	
	/**
	 * Set the text of a TreeNode. 
	 * @param content
	 */
	public abstract void setDescription(String content);
	
	
	/**
	 * @return true if TreeNode has Children. 
	 */
	public abstract boolean hasChildren();

	/**
	 * Removes the children of this TreeNode. 
	 */
	public abstract void removeChildren();
}
