package ch.unizh.ifi.adora.utils;

import org.eclipse.draw2d.Cursors;
import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.swt.graphics.Cursor;

import ch.unizh.ifi.adora.AdoraPlugin;

/**
 * This class provides cursors for the Adora tool.
 *      
 * @author		       smeier
 * @copyright           Requirements Engineering Research Group<br>
 *                      Department of Informatics<br>
 *                      University of Zurich<br>
 * @history             Dec 8, 2005 SM First Version
 *                      Jun 16, 2006 SM References not any more the 
 *                                      AdoraModelEditor class, but
 *                                      the plugin class.
 *                      Apr 23, 2008 CJ Fixing "disappearing" cursor on Eclipse 3.3
 * @version             $Date: 2008-04-23 16:03:34 +0200 (Wed, 23 Apr 2008) $, $Author: jeanneret $, $Revision: 3616 $
 * @responsibilities	   Provides cursors for the Adora tool.
 *
 */
public class AdoraCursors extends Cursors {

	/**
	 * Cursor for valid connection
	 */
	public static final Cursor CURSOR_MAGNIFY;

	static {
		CURSOR_MAGNIFY = createCursor("icons/magnifyingglass16_cursor.gif"); //$NON-NLS-1$
	}

	/**
	 * This method creates cursors.
	 * 
	 * @pre   sourceName != null
	 * @param sourceName
	 */
	private static Cursor createCursor(String sourceName) {
		ImageDescriptor src = ImageDescriptor.createFromFile(
				AdoraPlugin.class, sourceName);
		return new Cursor(null, src.getImageData(), 0, 0);
	}

}
