package ch.unizh.ifi.adora.utils;

import ch.unizh.ifi.adora.model.representation.Role;
import ch.unizh.ifi.adora.utils.filteredlist.ListFilterPredicate;

/**
 * Filter predicate which is used to filter out role labels which contain default text, since these
 * labels don't provide additional information.
 *      
 * @author             Ivo Vigan
 * @copyright           Requirements Engineering Research Group<br>
 *                      Department of Informatics<br>
 *                      University of Zurich<br>
 * @history             28.03.2006 SM First Version
 * @version             $Date: 2006-04-22 18:57:02 +0200 (Sat, 22 Apr 2006) $, $Author: smeier $, $Revision: 1244 $
 */
public class ConnectionLabelFilter implements ListFilterPredicate {

    /*
     *  (non-Javadoc)
     * @see ch.unizh.ifi.adora.utils.filteredlist.ListFilterPredicate#evaluate(java.lang.Object, int)
     */
    public boolean evaluate(Object o, int index) {
        if (o instanceof Role) {
            Role m = (Role)o;
            return !(m.getMaxCard().equalsIgnoreCase("1")&&
                    m.getMinCard().equalsIgnoreCase("1")
                    &&m.getName().equalsIgnoreCase(""));
        }
        return false;
    }

}
