package ch.unizh.ifi.adora.utils;

import ch.unizh.ifi.adora.model.representation.VisualizableModelElement;
import ch.unizh.ifi.adora.utils.filteredlist.ListFilterPredicate;

/**
 * Filter predicate which is used to filter out invisible model elements. This 
 * Filter is used when zooming, or projecting.
 *      
 *
 * @author		       smeier
 * @copyright           Requirements Engineering Research Group<br>
 *                      Department of Informatics<br>
 *                      University of Zurich<br>
 * @history             Oct 29, 2005 SM First version
 *                      Dec 22, 2005 SM Comments
 * @version             $Date: 2008-10-27 10:12:16 +0100 (Mon, 27 Oct 2008) $, $Author: jehle $, $Revision: 3853 $
 * @responsibilities    
 *
 */
public class ModelElementVisibilityFilter implements ListFilterPredicate {

	/*
	 *  (non-Javadoc)
	 * @see ch.unizh.ifi.adora.utils.filteredlist.ListFilterPredicate#evaluate(java.lang.Object, int)
	 */
	public boolean evaluate(Object o, int index) {
		boolean ret = false;
		if (o instanceof VisualizableModelElement) {
			VisualizableModelElement m = (VisualizableModelElement)o;
			ret = m.isVisible();
		}
		return ret;
	}

}
