package ch.unizh.ifi.adora.view.figures;


import org.eclipse.draw2d.ColorConstants;
import org.eclipse.draw2d.PolylineDecoration;


/**
 *  This {@link Figure} represents the implication between the 
 *  antecendet and the consequent of the {@link Constraint}.  
 * 
 * @author		        Ivo Vigan
 * @copyright           Requirements Engineering Research Group<br>
 *                      Department of Informatics<br>
 *                      University of Zurich<br>
 * @history             2.12.2008 IV First Version
 */
public class ConstraintImplicationFigure extends LabeledConnection{

	/**
	 * Generates a new blue line
	 */
	public ConstraintImplicationFigure(boolean implication){
		setForegroundColor(ColorConstants.darkBlue);
		setTargetDecoration(new PolylineDecoration());
	}
	
	public void setImplication(boolean implication) {
    	if (!implication) {
    		setSourceDecoration(new PolylineDecoration());
    	}
	}
}
