package ch.unizh.ifi.adora.view.figures;

/**
 * Interface used by all commentable {@link org.eclipse.draw2d.IFigure}s. 
 * 
 * @author		        Ivo Vigan
 * @copyright           Requirements Engineering Research Group<br>
 *                      Department of Informatics<br>
 *                      University of Zurich<br>
 * @history             21.09.2006 IV First Version
 * @version             $Date: 2006-09-26 10:52:33 +0200 (Tue, 26 Sep 2006) $, $Author: vigan $, $Revision: 2267 $
 */
public interface ICommentableFigure {

	/**
	 * Returns the comment of this {@link org.eclipse.draw2d.IFigure}.
	 *  
	 * @return The comment String.
	 */
	public String getComment();

	/**
	 *  Sets the comment String of this {@link org.eclipse.draw2d.IFigure}.
	 *  
	 * @param comment Sets the comment.
	 */
	public void setComment(String comment);
}
