package ch.unizh.ifi.adora.view.figures;

/**
 * This class is a superclass for all {@link ConnectionFigure}s 
 * on which {@link ch.unizh.ifi.adora.view.figures.label.ConnectionLabel}s 
 * can be appended. This class is used to visually update the {@link ConnectionFigure}.
 * 
 * @author		        Ivo Vigan
 * @copyright           Requirements Engineering Research Group<br>
 *                      Department of Informatics<br>
 *                      University of Zurich<br>
 * @history             03.08.2006 IV First Version
 * @version             $Date: 2006-08-03 13:57:54 +0200 (Thu, 03 Aug 2006) $, $Author: vigan $, $Revision: 1955 $
 */
public abstract class LabeledConnection extends ConnectionFigure {
	
	/**
	 * This method is made public, so the 
	 * {@link ch.unizh.ifi.adora.view.figures.label.algorithm.placing.MovableLocator} 
	 * can call this method if necessary. i.e. if the label position changed.
	 */
	public void refresh(){
		layout();
		repaint();
	}
}
