package ch.unizh.ifi.adora.view.figures;

import org.eclipse.draw2d.PolygonDecoration;
import org.eclipse.draw2d.geometry.PointList;

/**
 * This class is responsible for creating a visual connection between two
 * scenarios, connected via a scenarioConnection. 
 * 
 * @author		       @author smeier
 * @copyright           Requirements Engineering Research Group<br>
 *                      Department of Informatics<br>
 *                      University of Zurich<br>
 * @history             27.09.2005 SM First Version
 * @version             $Date: 2006-08-08 16:10:53 +0200 (Tue, 08 Aug 2006) $, $Author: vigan $, $Revision: 2035 $
 */
public class ScenarioConnectionFigure extends ConnectionFigure {
	
	/**
	 * Instantiates a ScenarioConnectionFigure and draws the
	 * circle at the beginning of the {@link ConnectionFigure}, wich is 
	 * attached by a {@link PolygonDecoration}.
	 */
	public ScenarioConnectionFigure() {
		
		PolygonDecoration pd = new PolygonDecoration();
		
		PointList pl = new PointList();
		pl.addPoint(-10,1); 
		pl.addPoint(-9,2);
		pl.addPoint(-9,3); 
		pl.addPoint(-8,4);
		pl.addPoint(-7,4); 
		pl.addPoint(-6,5);
		
		pl.addPoint(-4,5);
		pl.addPoint(-3,4);
		pl.addPoint(-2,4);
		pl.addPoint(-1,3);
		pl.addPoint(-1,2);
		pl.addPoint(0,1);
		
		pl.addPoint(0,-1);
		pl.addPoint(-1,-2);
		pl.addPoint(-1,-3);
		pl.addPoint(-2,-4);
		pl.addPoint(-3,-4);
		pl.addPoint(-4,-5);
		
		pl.addPoint(-6,-5);
		pl.addPoint(-7,-4);
		pl.addPoint(-8,-4);
		pl.addPoint(-9,-3);
		pl.addPoint(-9,-2);
		pl.addPoint(-10,-1);
		pd.setScale(0.6d,0.6d);

		pd.setTemplate(pl);
	
	    setSourceDecoration(pd); 	
	}
}
