package ch.unizh.ifi.adora.view.figures;

import org.eclipse.draw2d.ColorConstants;
import org.eclipse.draw2d.Graphics;
import ch.unizh.ifi.adora.model.representation.variability.VariationPoint;

/**
 * This class is responsible for the visual representation of a {@link VariationPoint}. 
 *      
 * @author		        Ivo Vigan
 * @copyright           Requirements Engineering Research Group<br>
 *                      Department of Informatics<br>
 *                      University of Zurich<br>
 * @history             30.08.2006 IV First Version
 * @version             $Date: 2009-02-06 17:06:14 +0100 (Fri, 06 Feb 2009) $, $Author: vigan $, $Revision: 3995 $
 */
public class VariationPointConnectionFigure extends LabeledConnection{

	/**
	 * Generates a new blue line
	 */
	public VariationPointConnectionFigure(){
		setLineStyle(Graphics.LINE_SOLID);
		setForegroundColor(ColorConstants.blue);
		setLineWidth(1);
		
		setTargetDecoration(new VariationPointDecorator());
		setSourceDecoration(new VariationPointDecorator());

	}
}
