package ch.unizh.ifi.adora.view.figures;

import org.eclipse.draw2d.ColorConstants;
import org.eclipse.draw2d.PolylineDecoration;
import org.eclipse.draw2d.geometry.PointList;

/**
 * This class is responsible for drawing the circular endpoint of a {@link VariationPointConnectionFigure}.
 *      
 * @author		        Ivo Vigan
 * @copyright           Requirements Engineering Research Group<br>
 *                      Department of Informatics<br>
 *                      University of Zurich<br>
 * @history             30.08.2006 IV First Version
 * @version             $Date: 2009-05-06 10:51:39 +0200 (Wed, 06 May 2009) $, $Author: treinhard $, $Revision: 4182 $
 */
public class VariationPointDecorator extends PolylineDecoration {
	
	/**
	 * Constructs the circle
	 */
	public VariationPointDecorator(){
		
		PointList pl = new PointList();
		
		pl.addPoint(-10,1); 
		pl.addPoint(-9,2);
		pl.addPoint(-9,3); 
		pl.addPoint(-8,4);
		pl.addPoint(-7,4); 
		pl.addPoint(-6,5);
		
		pl.addPoint(-4,5);
		pl.addPoint(-3,4);
		pl.addPoint(-2,4);
		pl.addPoint(-1,3);
		pl.addPoint(-1,2);
		pl.addPoint(0,1);
		
		pl.addPoint(0,-1);
		pl.addPoint(-1,-2);
		pl.addPoint(-1,-3);
		pl.addPoint(-2,-4);
		pl.addPoint(-3,-4);
		pl.addPoint(-4,-5);
		
		pl.addPoint(-6,-5);
		pl.addPoint(-7,-4);
		pl.addPoint(-8,-4);
		pl.addPoint(-9,-3);
		pl.addPoint(-9,-2);
		pl.addPoint(-10,-1);
		
		pl.translate(5, 0);
		setScale(0.6d,0.6d);
		
		setTemplate(pl);
		setForegroundColor(ColorConstants.blue);
		setFill(true);
		
	}
}