package ch.unizh.ifi.adora.view.figures.label.algorithm.wrapping;

/**
 * This delimiter is used to format a 
 * {@link ch.unizh.ifi.adora.model.representation.TransitionDescription} 
 * in a way that the <li>send</li>- and the <li>receive</li>-part are written 
 * on seperate lines if not enough space exists.
 * 
 * @author		        Ivo Vigan
 * @copyright           Requirements Engineering Research Group<br>
 *                      Department of Informatics<br>
 *                      University of Zurich<br>
 * @history             04.09.2006 IV First Version
 * @version             $Date: 2006-09-04 10:55:15 +0200 (Mon, 04 Sep 2006) $, $Author: vigan $, $Revision: 2169 $
 */
public class DesciptionDelimiter extends StringDelimiter{
	
	 /**
     * This delimiter character.
     */
    private static final char DELIMITER = '|';

	/*
	 *  (non-Javadoc)
	 * @see ch.unizh.ifi.adora.view.figures.label.algorithm.wrapping.StringDelimiter#nextIndexOfDelimiter(java.lang.String, int)
	 */
    public int nextIndexOfDelimiter(String fullString, int index) {
        int pos = fullString.indexOf(DELIMITER, index);
        if (pos == -1) 
            return CONTAINS_NO_DELIMITER;
        return (pos + 1);
	}
}
