package ch.unizh.ifi.adora.view.layers;

import org.eclipse.draw2d.ColorConstants;
import org.eclipse.draw2d.Graphics;
import org.eclipse.draw2d.Shape;
import org.eclipse.draw2d.geometry.Point;

/**
 * Figure to visualize the cost points of the tile maze router.
 *
 * @author		        Tobias Reinhard
 * @copyright           Requirements Engineering Research Group<br>
 *                      Department of Informatics<br>
 *                      University of Zurich<br>
 * @history             2008-02-15 TR First Version
 * @version             $Date: 2008-02-15 17:00:33 +0100 (Fri, 15 Feb 2008) $, $Author: treinhard $, $Revision: 3514 $
 */
public class CostPointFigure extends Shape {

	public CostPointFigure(Point location) {
		
		setLocation(new Point(location.x - 5, location.y - 5));
		setSize(11, 11);
		
		setForegroundColor(ColorConstants.red);
		setBackgroundColor(ColorConstants.red);
		
	}

	@Override
	protected void fillShape(Graphics graphics) {
		
	}

	@Override
	protected void outlineShape(Graphics graphics) {
		
		int x = getBounds().x;
		int y = getBounds().y;
		
		graphics.drawPoint(x + 5, y + 5);
		graphics.drawLine(x, y + 5, x + 3, y + 5);
		graphics.drawLine(x + 5, y, x + 5, y + 3);
		graphics.drawLine(x + 7, y + 5, x + 10, y + 5);
		graphics.drawLine(x + 5, y + 7, x + 5, y + 10);
		
	}

}
