-- History:
--    Jan 21, 2007 SM Changes for loading more than one model per question.


DROP TABLE LOGGED_COMMANDS IF EXISTS;
create table LOGGED_COMMANDS (USER_ID INTEGER,  COMMAND_NAME VARCHAR(255), EXECUTED TIMESTAMP);

DROP TABLE USER IF EXISTS;
DROP SEQUENCE SEQ_USER_ID IF EXISTS;
CREATE SEQUENCE SEQ_USER_ID AS INTEGER START WITH 500 INCREMENT BY 1;
create table USER (
  ID INTEGER,
  CREATED TIMESTAMP,
  AGE INTEGER,
  CONSTRAINT PK_USER_ID PRIMARY KEY ( ID )
);

DROP SEQUENCE SEQ_TEST_SUITE_ID IF EXISTS;
CREATE SEQUENCE SEQ_TEST_SUITE_ID AS INTEGER START WITH 500 INCREMENT BY 1;
DROP TABLE TEST_SUITE IF EXISTS;
create table TEST_SUITE (
  SUITE_NAME VARCHAR (30),
  ID INTEGER,
  NO_OF_EXECUTED_TESTS INTEGER,
  START_UI_INFO VARCHAR (255),
  START_QUESTION_INFO VARCHAR (255),
  END_SUITE_INFO VARCHAR (255),
  CONSTRAINT PK_TEST_SUITE_ID PRIMARY KEY ( ID )
);

DROP SEQUENCE SEQ_USER_INFO_ID IF EXISTS;
CREATE SEQUENCE SEQ_USER_INFO_ID AS INTEGER START WITH 500 INCREMENT BY 1;
DROP TABLE USER_INFO IF EXISTS;
create table USER_INFO (
  INFO_NAME VARCHAR (255),
  ID INTEGER,
  INFO_TYPE INTEGER,
  CONSTRAINT PK_USER_INFO_ID PRIMARY KEY ( ID )
);

DROP SEQUENCE SEQ_USER_INFO_MC_ITEM_ID IF EXISTS;
CREATE SEQUENCE SEQ_USER_INFO_MC_ITEM_ID AS INTEGER START WITH 500 INCREMENT BY 1;
DROP TABLE USER_INFO_MC_ITEM IF EXISTS;
create table USER_INFO_MC_ITEM (
  ANSWER VARCHAR (255),
  ID INTEGER,
  USER_INFO_ID INTEGER,
  CONSTRAINT PK_USER_INFO_MC_ITEM_ID PRIMARY KEY ( ID )
);

DROP TABLE QUESTION IF EXISTS;
DROP SEQUENCE SEQ_QUESTION_ID IF EXISTS;
CREATE SEQUENCE SEQ_QUESTION_ID AS INTEGER START WITH 500 INCREMENT BY 1;

create table QUESTION (
  QUESTION VARCHAR (255)  ,
  ID INTEGER,
  QUESTION_TYPE INTEGER,
  NON_MC_ITEM VARCHAR(255),
  TEST_SUITE_ID INTEGER,
  START_INFO_TEXT VARCHAR (255),
  CONSTRAINT PK_QUESTION_ID PRIMARY KEY ( ID )
);

DROP TABLE MODEL_FOR_QUESTION IF EXISTS;
DROP SEQUENCE SEQ_MODEL_FOR_QUESTION_ID IF EXISTS;
CREATE SEQUENCE SEQ_MODEL_FOR_QUESTION_ID AS INTEGER START WITH 500 INCREMENT BY 1;

create table MODEL_FOR_QUESTION (
  NAME VARCHAR (255),
  ID INTEGER,
  QUESTION_ID INTEGER,
  ADORA_MODEL BINARY,
  CONSTRAINT PK_MODEL_QUESTION_ID PRIMARY KEY ( ID )
);

DROP TABLE USER_ANSWERS_OF_TEST_SUITE_QUESTION IF EXISTS;

create table USER_ANSWERS_OF_TEST_SUITE_QUESTION (
  USER_ID INTEGER,
  QUESTION_ID INTEGER,
  TIME_USED INTEGER,
  START_TIME TIMESTAMP,
  USER_ANSWER VARCHAR (255),
  CONSTRAINT PK_USER_ANSWERS_OF_TEST_SUITE_QUESTIONS_ID PRIMARY KEY ( USER_ID, QUESTION_ID )
);

DROP TABLE MC_ITEM IF EXISTS;
DROP SEQUENCE SEQ_MC_ITEM_ID IF EXISTS;
CREATE SEQUENCE SEQ_MC_ITEM_ID AS INTEGER START WITH 500 INCREMENT BY 1;

create table MC_ITEM (
  ANSWER VARCHAR (255),
  ID INTEGER,
  QUESTION_ID INTEGER,
  CORRECT BOOLEAN,
  CONSTRAINT PK_TEST_SUITE_POTENTIAL_ANSWER_ID PRIMARY KEY ( ID )
);

DROP TABLE USER_ANSWERS_OF_MC_ITEMS IF EXISTS;

create table USER_ANSWERS_OF_MC_ITEMS (
  MC_ITEM_ID INTEGER,
  USER_ID INTEGER,
  CORRECT BOOLEAN,
  CONSTRAINT PK_USER_ANSWERS_OF_MC_ITEMS_ID PRIMARY KEY ( USER_ID, MC_ITEM_ID )
);

DROP TABLE USER_ANSWERS_OF_USER_INFO IF EXISTS;

create table USER_ANSWERS_OF_USER_INFO (
  USER_INFO_ID INTEGER,
  USER_ID INTEGER,
  ANSWER VARCHAR(255),
  CONSTRAINT PK_USER_ANSWERS_TO_USER_INFO_ID PRIMARY KEY ( USER_INFO_ID, USER_ID )
);

DROP TABLE USER_ANSWERS_OF_USER_INFO_MC_ITEM IF EXISTS;
create table USER_ANSWERS_OF_USER_INFO_MC_ITEM (
  CORRECT BOOLEAN,
  USER_ID INTEGER,
  USER_INFO_MC_ITEM_ID INTEGER,
  CONSTRAINT PK_USER_ANSWERS_OF_USER_INFO_MC_ITEM_ID PRIMARY KEY ( USER_ID, USER_INFO_MC_ITEM_ID  )
);

DROP TABLE TEST_SUITE_USER_INFO IF EXISTS;
create table TEST_SUITE_USER_INFO (
  TEST_SUITE_ID INTEGER,
  USER_INFO_ID INTEGER,
  CONSTRAINT TEST_SUITE_USER_INFO PRIMARY KEY ( TEST_SUITE_ID, USER_INFO_ID )
);



DROP TABLE ADORA_PROPERTY IF EXISTS;
DROP SEQUENCE SEQ_ADORA_PROPERTY_ID IF EXISTS;
CREATE SEQUENCE SEQ_ADORA_PROPERTY_ID AS INTEGER START WITH 500 INCREMENT BY 1;
create table ADORA_PROPERTY (
  QUESTION_ID INTEGER,
  PROPERTY_NAME VARCHAR(255),
  PROPERTY_VALUE VARCHAR(255),
  CONSTRAINT ADORA_PROPERTIES PRIMARY KEY ( QUESTION_ID, PROPERTY_NAME )
);

