package ch.unizh.ifi.adora.empiricism.adoraeditor.preferences;

import java.util.Iterator;

import org.eclipse.jface.preference.IPreferenceStore;

import ch.unizh.ifi.adora.AdoraPlugin;
import ch.unizh.ifi.adora.empiricism.model.AdoraProperty;
import ch.unizh.ifi.adora.empiricism.model.AdoraPropertySet;

/**
 * Sets the Preferences for a given model.
 * 
 * @author		        Ivo Vigan
 * @copyright           Requirements Engineering Research Group<br>
 *                      Department of Informatics<br>
 *                      University of Zurich<br>
 * @history             26.06.2006 SM First Version
 * @version             $Date: 2006-06-26 16:52:43 +0200 (Mon, 26 Jun 2006) $, $Author: vigan $, $Revision: 1740 $
 */
public class PreferencesSetter {
	
	/**
	 * PropertyName, PropertyValue pair, obtained from db.
	 */
	private AdoraPropertySet propertySet;
	
	/**
	 * @param propertySet Set which contains the PropertyName, PropertyValue pair.
	 */
	public PreferencesSetter(AdoraPropertySet propertySet){
		this.propertySet = propertySet; 
	}
	
	/**
	 * Sets the Preferences for a given model.
	 * 
	 * @pre       true
	 * @post      true
	 * @obligation
	 */
	public void setPreferences(){
		IPreferenceStore store = AdoraPlugin.getDefault().getPreferenceStore();
		Iterator<AdoraProperty> iter = propertySet.iterator();
		AdoraProperty property;
		while(iter.hasNext()){
			property = iter.next();
			store.setValue(property.getPropertyName(), property.getPropertyValue());
		}
	}
}
