package ch.unizh.ifi.adora.empiricism.model;

import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;


/**
* Used to determine, which TestSuite to select.
*  
* @author		       Ivo Vigan
* @copyright           Requirements Engineering Research Group<br>
*                      Department of Informatics<br>
*                      University of Zurich<br>
* @history             13.06.2006 SM First Version
* @version             $Date: 2006-06-30 12:15:37 +0200 (Fri, 30 Jun 2006) $, $Author: vigan $, $Revision: 1752 $
*/
public abstract class TestSuiteSet extends DBObjectSet{

	/**
	 * Instantiates a new set of test suite.
     *
	 * @param db The database from which the test suites are gained.
	 */
	public TestSuiteSet(Database db) {		
		super(db);
	}
	
	/*
	 *  (non-Javadoc)
	 * @see ch.unizh.ifi.adora.empiricism.model.DBObjectSet#getSelectStatement()
	 */
	@Override
	protected String getSelectStatement() {
		return DataBaseSQLStrings.SQL_GET_ALL_TEST_SUITES;
	}

	/*
	 *  (non-Javadoc)
	 * @see ch.unizh.ifi.adora.empiricism.model.DBObjectSet#prepareSelectStatement(java.sql.PreparedStatement)
	 */
	@Override
	protected void prepareSelectStatement(PreparedStatement statement) {
	}
		
	/*
	 *  (non-Javadoc)
	 * @see ch.unizh.ifi.adora.empiricism.model.DBObjectSet#createThisObject(java.sql.ResultSet)
	 */
	@Override
	protected Object createThisObject(ResultSet resultSet) throws SQLException {
		TestSuite t=null;
		int id = resultSet.getInt(2);
		if (db.getTestSuiteCache().getDBObject(id) != null) {
			t = db.getTestSuiteCache().getDBObject(id);
		} else {
			t = new TestSuite(id, db);
		}
		return t;
	}
}