package ch.unizh.ifi.adora.empiricism.preferences;

/**
 * Contains a set of keys and default values for the empirical ADORA plugin.
 *      
 * @author		       smeier
 * @copyright           Requirements Engineering Research Group<br>
 *                      Department of Informatics<br>
 *                      University of Zurich<br>
 * @history             May 31, 2006 SM First Version
 *                      Oct 13, 2006 SM Implemented the access for the content of an inquery
 *                      from a http server.
 * @version             $Date: 2008-11-28 11:41:23 +0100 (Fri, 28 Nov 2008) $, $Author: vigan $, $Revision: 3907 $
 *
 */
public interface PreferencesConstants {
	/**
	 * The parameter name of the parameter in the plugin's storage that describes the 
	 * connection.
	 */
	public static String DB_CONNECTION_PARAM = "adora.empiricism.dbconnection";
	
	/**
	 * The key to access the database user name.
	 */
	public static String DB_USER_NAME =       "adora.empiricism.dbuser";
	
	/**
	 * The key to access the database user password.
	 */
	public static String DB_USER_PASSWORD =    "adora.empiricism.dbuserpassword";
		
	/**
	 * Contains the name of the currently used database driver.
	 */
	public static String DB_DRIVER_NAME            = "adora.empiricism.dbdrivername";
	
	/**
	 * Contains the key for the store which contains the file name of the database schema.
	 */
	public static String DB_CONTENT_DIRECTORY          = "adora.empiricism.contentdir";
	
	/**
	 * Contains the key for the store which contains the file name of the initial database content.
	 */
	public static String DB_CONTENT_FILE_NAME         = "adora.empiricism.dbcontent";
	
	/**
	 * Contains the key for the store which contains the command names which have to be logged in the db.
	 */
	public static String LOGGED_COMMANDS         = "adora.empiricism.loggedcommands";

	
	/**
	 * The default database user.
	 */
	public static String DB_USER_DEFAULT           = "sa";
	
	/**
	 * The default password for the database user.
	 */
	public static String DB_USER_PASSWORD_DEFAULT  = "hello2007";
	
	/**
	 * The default database driver.
	 */
	public static String DB_DRIVER_DEFAULT         = "org.hsqldb.jdbcDriver";
	
	/**
	 * Contains the key for the store which contains the file name of the database schema.
	 */
	public static String DB_CONTENT_DIRECTORY_DEFAULT = "";
	
	/**
	 * Contains the key for the store which contains the file name of the initial database content.
	 */
	public static String DB_CONTENT_FILE_NAME_DEFAULT = "userInsertStatements.sql";
	
}
