package ch.unizh.ifi.adora.empiricism.preferences;

import org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer;
import org.eclipse.jface.preference.IPreferenceStore;

import ch.unizh.ifi.adora.empiricism.Activator;


/**
 *
 * Initializes the preferences storage with default values for the empirical plugin.
 *
 * @author		       smeier
 * @copyright           Requirements Engineering Research Group<br>
 *                      Department of Informatics<br>
 *                      University of Zurich<br>
 * @history             May 31, 2006 SM First Version
 *                      Oct 13, 2006 SM Implemented the access for the content of an inquery
 *                      from a http server.
 * @version             $Date: 2008-12-09 10:51:42 +0100 (Tue, 09 Dec 2008) $, $Author: treinhard $, $Revision: 3953 $
 *
 */
public class PreferencesInitializer  extends
		AbstractPreferenceInitializer {

	/*
	 *  (non-Javadoc)
	 * @see org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer#initializeDefaultPreferences()
	 */
	@Override
	public void initializeDefaultPreferences() {
		IPreferenceStore store = Activator.getDefault().getPreferenceStore();
		store.setDefault(PreferencesConstants.DB_CONNECTION_PARAM,
				"jdbc:hsqldb:" + System.getProperty("user.home") + "/adora/empiricaldb");
		//store.setDefault(PreferencesConstants.DB_CONNECTION_PARAM,
		//			"jdbc:hsqldb:hsql://130.60.155.207/validierung");

		store.setDefault(PreferencesConstants.DB_DRIVER_NAME, PreferencesConstants.DB_DRIVER_DEFAULT);
		store.setDefault(PreferencesConstants.DB_USER_NAME, PreferencesConstants.DB_USER_DEFAULT);
		store.setDefault(PreferencesConstants.DB_USER_PASSWORD, PreferencesConstants.DB_USER_PASSWORD_DEFAULT);
		store.setDefault(PreferencesConstants.DB_CONTENT_FILE_NAME, PreferencesConstants.DB_CONTENT_FILE_NAME_DEFAULT);
		store.setDefault(PreferencesConstants.DB_CONTENT_DIRECTORY, PreferencesConstants.DB_CONTENT_DIRECTORY_DEFAULT);
		store.setDefault(PreferencesConstants.LOGGED_COMMANDS, "FisheyeZoom");
	}

}
