package ch.unizh.ifi.adora.empiricism.views.wizard;

import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.jface.wizard.IWizardPage;
import org.eclipse.jface.wizard.Wizard;
import org.eclipse.ui.INewWizard;
import org.eclipse.ui.IWorkbench;

import ch.unizh.ifi.adora.empiricism.views.wizard.pages.loginpages.ReceptionPage;
import ch.unizh.ifi.adora.empiricism.views.wizard.pages.textpages.TestSuiteFinishPage;

/**
 * This class represents the actual {@link org.eclipse.jface.wizard.Wizard},
 * which contains all {@link org.eclipse.jface.wizard.WizardPage}s.
 * 
 * @author Ivo Vigan
 * @copyright Requirements Engineering Research Group<br>
 *            Department of Informatics<br>
 *            University of Zurich<br>
 * @history 12.06.2006 SM First Version
 * @version $Date: 2007-06-04 14:28:18 +0200 (Mon, 04 Jun 2007) $, $Author: schoeni $, $Revision: 2748 $
 */
public class EmpiricismWizard extends Wizard implements INewWizard {

	/**
	 * Stores the Startpage
	 */
	ReceptionPage receptionPage;

	/**
	 * Provides the wizard with a startpage.
	 */
	public EmpiricismWizard() {
		receptionPage = new ReceptionPage(this);
		addPage(receptionPage);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.jface.wizard.IWizard#canFinish()
	 */
	public boolean canFinish() {
		return this.getContainer().getCurrentPage() instanceof TestSuiteFinishPage;
	}

	@Override
	public IWizardPage getStartingPage() {
		return receptionPage;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.ui.IWorkbenchWizard#init(org.eclipse.ui.IWorkbench,
	 *      org.eclipse.jface.viewers.IStructuredSelection)
	 */
	public void init(IWorkbench workbench, IStructuredSelection selection) {
	}

	@Override
	public boolean performFinish() {
		return true;
	}
}