package ch.unizh.ifi.adora.linerouting.labels;

/**
 * This class holds various constants for the automatic label placement. The constants that
 * are not final can be changed via the eclipse preferences.
 *
 * @author				Tobias Reinhard
 * @copyright			Requirements Engineering Research Group<br>
 *						Department of Informatics<br>
 *						University of Zurich<br>
 * @history				2009-10-30 TR First Version
 * @version				$Date: 2007-12-20 13:31:31 +0100 (Thu, 20 Dec 2007) $, $Author: treinhard $, $Revision: 3427 $
 *
 */
public class LabelConstants {
	
	/**
	 * Label should be placed close to the start point of the line
	 */
	public static final int START = 1;
	
	/**
	 * Label should be placed close to the middle point of the line
	 */
	public static final int MIDDLE = 2;
	
	/**
	 * Label should be placed close to the end point of the line
	 */
	public static final int END = 3;

}
