package ch.unizh.ifi.adora.linerouting.tilestructure;

import java.awt.Point;

import ch.unizh.ifi.adora.linerouting.algorithm.RoutingConstants;

public class LabelTile extends Tile {

	/**
	 * Constructor for a label tile.
	 * 
	 * @param topLeft the top left corner of this tile
	 * @param bottomRight the bottom right corner of this tile
	 * @param lt the lt corner stitch (can be null if there's no neighbor)
	 * @param tl the tl corner stitch (can be null if there's no neighbor)
	 * @param rt the rt corner stitch (can be null if there's no neighbor)
	 * @param tr the tr corner stitch (can be null if there's no neighbor)
	 * @param rb the rb corner stitch (can be null if there's no neighbor)
	 * @param br the br corner stitch (can be null if there's no neighbor)
	 * @param lb the lb corner stitch (can be null if there's no neighbor)
	 * @param bl the bl corner stitch (can be null if there's no neighbor)
	 * 
	 */
	public LabelTile(Point topLeft, Point bottomRight, Tile lt, Tile tl,
			Tile rt, Tile tr, Tile rb, Tile br, Tile lb, Tile bl) {
		super(topLeft, bottomRight, lt, tl, rt, tr, rb, br, lb, bl);
		
		costFactor = RoutingConstants.ROUTING_LINE_COSTFACTOR;

	}
	
}
