package ch.unizh.ifi.adora.manualtest.operations;

import java.util.ArrayList;
import java.util.Iterator;

import org.eclipse.gef.commands.Command;

import ch.unizh.ifi.adora.model.ModelElement;
import ch.unizh.ifi.adora.model.representation.AdoraModel;
import ch.unizh.ifi.adora.model.representation.Node;

public abstract class AbstractOperations {

	public AbstractOperations(AdoraModel model){
		this.model = model;
		commands = new ArrayList<CommandObject>(); 
		init();
	}
	
	protected AdoraModel model;
	
	protected ArrayList <CommandObject>commands;
	
	protected class CommandObject{
		 Command cmd;
		 String label;
		 public CommandObject(Command cmd,String label){
			this.cmd = 	 cmd;
			this.label = label;
		}
	}
	
	protected int currentOpperation = 0;
	
	public abstract String getLabelForNextOp();
	
	public abstract void apply();
	
	protected abstract void init();
	
	protected Node getNode(String name){
		Node n;
		Iterator<ModelElement> iter = model.getRecursiveChildrenIterator();
		while(iter.hasNext()){
			n = (Node)iter.next();
			if(n.getName().equalsIgnoreCase(name)){
				return n; 
			}
		}
		return null;
	}
}
