package ch.unizh.ifi.adora.productline.ui.views.variationpointtable;

import java.util.List;

import org.eclipse.jface.viewers.ILabelProviderListener;
import org.eclipse.jface.viewers.ITableLabelProvider;
import org.eclipse.jface.viewers.LabelProvider;
import org.eclipse.swt.graphics.Image;

import ch.unizh.ifi.adora.model.representation.variability.VariationPoint;
import ch.unizh.ifi.adora.productline.ui.views.variationpointtable.VariationPointViewPart;

/**
 * This is the {@link ITableLabelProvider} of the {@link VariationPointViewPart}.
 * 
 * @author Reinhard Stoiber
 * @copyright Requirements Engineering Research Group<br>
 *            Department of Informatics<br>
 *            University of Zurich<br>
 * @history 2008-04-22 RS First Version
 * @version 
 */
public class VariationPointLabelProvider extends LabelProvider implements
		ITableLabelProvider {

	/*
     * (non-Javadoc)
     * 
     * @see org.eclipse.jface.viewers.ITableLabelProvider#getColumnImage(java.lang.Object,
     *      int)
     */
	public Image getColumnImage(Object element, int columnIndex) {
		return null;
	}

	/*
     * (non-Javadoc)
     * 
     * @see org.eclipse.jface.viewers.ITableLabelProvider#getColumnText(java.lang.Object,
     *      int)
     */
	public String getColumnText(Object element, int columnIndex) {
		VariationPoint variationPoint = (VariationPoint) element;

		switch (columnIndex) {
		case 0:
			return "VP"+variationPoint.getNr().intValue();
		case 1:
			return variationPoint.getDescription();
		case 2:
			return ""+variationPoint.getMinCard();
		case 3:
			return ""+variationPoint.getMaxCard();
		case 4:
			return getString(variationPoint.getDecisions());
		}

		return null;
	}

	protected static String getString(List list) {
		if (list.size() == 0) {
			return "";
		}

		return list.toString().substring(1, list.toString().length() - 1);
	}

	/*
     * (non-Javadoc)
     * 
     * @see org.eclipse.jface.viewers.LabelProvider#addListener(org.eclipse.jface.viewers.ILabelProviderListener)
     */
	@Override
	public void addListener(ILabelProviderListener listener) {
	}

	/*
     * (non-Javadoc)
     * 
     * @see org.eclipse.jface.viewers.LabelProvider#dispose()
     */
	@Override
	public void dispose() {
	}

	/*
     * (non-Javadoc)
     * 
     * @see org.eclipse.jface.viewers.LabelProvider#isLabelProperty(java.lang.Object,
     *      java.lang.String)
     */
	@Override
	public boolean isLabelProperty(Object element, String property) {
		return false;
	}

	/*
     * (non-Javadoc)
     * 
     * @see org.eclipse.jface.viewers.LabelProvider#removeListener(org.eclipse.jface.viewers.ILabelProviderListener)
     */
	@Override
	public void removeListener(ILabelProviderListener listener) {
	}

}
