package ch.unizh.ifi.adora.requirements.commands;

import java.util.Vector;

import org.eclipse.gef.commands.Command;

import ch.unizh.ifi.adora.model.representation.AdoraModel;
import ch.unizh.ifi.adora.model.representation.ConnectableElement;
import ch.unizh.ifi.adora.model.representation.requirements.DesignDecision;

/**
 * This Class represents the Design Decision Add Command.
 * @author Jaro Habr
 *
 */
public class DesignDecisionAdd extends Command {

	private DesignDecision designDecision;
	private AdoraModel adoraModel;
	
	public DesignDecisionAdd(AdoraModel adoraModel) {
//		String id = Integer.toString(adoraModel.getDesignDecisions().size() + 1);
//		if (id.length() < 2) {
//			id = "D00" + id;
//		} else if (id.length() < 3) {
//			id = "D0" + id;
//		}
		this.adoraModel = adoraModel;
		designDecision = new DesignDecision(new Vector<ConnectableElement>(), adoraModel);
		
	}
	
	/**
	 * Adds a new design decision to the ADORA model.
	 */
	public void execute() {
		adoraModel.addDesignDecision(designDecision);		
	}

	/**
	 * 
	 */
	public void redo() {
		adoraModel.addDesignDecision(designDecision);
	}

	
	public void undo() {
		adoraModel.removeDesignDecision(designDecision);
	}
	
	public DesignDecision getDesignDecision() {
		return designDecision;
	}
}
