package ch.unizh.ifi.adora.requirements.commands;

import org.eclipse.gef.commands.Command;

import ch.unizh.ifi.adora.model.representation.requirements.Requirement;

public class RequirementEdit extends Command {
	
	private int column;
	private String oldString;
	private String newString;
	private Requirement requirement;
	
	public RequirementEdit(int column, String oldString, String newString, Requirement requirement) {
		this.column = column;
		this.oldString = oldString;
		this.newString = newString;
		this.requirement = requirement;
	}
	
	public void execute() {
		if (column == 1) { // Title-column
			requirement.setTitle(newString);
		} else if (column == 2) { // Description-column
			requirement.setDescription(newString);
		} else if (column == 3) { // AbstactionLevel-column
			requirement.setAbstractionLevel(newString);
		} else if (column == 4) { // Priority-column
			requirement.setPriority(newString);
		} else if (column == 5) { // LinkTo-column
			requirement.setLinkTo(newString);
		} else if (column == 6) { // Design Desicion column
			requirement.setDesignDecisionID(newString, Requirement.EVENT_SOURCE);
		}
		
	}

	
	public void redo() {
		if (column == 1) { // Title-column
			requirement.setTitle(oldString);
		} else if (column == 2) { // Description-column
			requirement.setDescription(oldString);
		} else if (column == 3) { // AbstactionLevel-column
			requirement.setAbstractionLevel(oldString);
		} else if (column == 4) { // Priority-column
			requirement.setPriority(oldString);
		} else if (column == 5) { // LinkTo-column
			requirement.setLinkTo(oldString);
		} else if (column == 6) { // Design Desicion column
			requirement.setDesignDecisionID(oldString, Requirement.EVENT_SOURCE);
		}
	}

	
	public void undo() {
		if (column == 1) { // Title-column
			requirement.setTitle(newString);
		} else if (column == 2) { // Description-column
			requirement.setDescription(newString);
		} else if (column == 3) { // AbstactionLevel-column
			requirement.setAbstractionLevel(newString);
		} else if (column == 4) { // Priority-column
			requirement.setPriority(newString);
		} else if (column == 5) { // LinkTo-column
			requirement.setLinkTo(newString);
		} else if (column == 6) { // Design Desicion column
			requirement.setDesignDecisionID(newString, Requirement.EVENT_SOURCE);
		}
	}
}