package ch.unizh.ifi.adora.requirements.ui.views.DesignDecisionTable;

import org.eclipse.jface.viewers.ITableLabelProvider;
import org.eclipse.jface.viewers.LabelProvider;
import org.eclipse.swt.graphics.Image;

import ch.unizh.ifi.adora.model.representation.requirements.DesignDecision;


/**
 * This class is the label provider for the requirements table control. It maps the requirement object
 * into text displayable in the viewer widget.
 * @author Jaro Habr
 *
 */
public class DesignDecisionLabelProvider extends LabelProvider implements ITableLabelProvider {
	
	/**
	 * get the text for each column -> attribute values of the requirement object
	 */
	public String getColumnText(Object element, int columnIndex) {
		String result = "";
		DesignDecision designDecision = (DesignDecision) element;
		switch (columnIndex) {
			case 0 :
				result = designDecision.getId();
				break;
			case 1 :
				result = designDecision.getDescription();
				break;
			case 2 :
				result = designDecision.getScope();
				break;
			case 3 :
				result = designDecision.getType();
				break;
			case 4 :
				result = designDecision.getRequirementIDs();
				break;
			case 5 :
				result = designDecision.getComment();
				break;
			default :
				break; 	
		}
		return result;
	}

	
	/**
	 * get image of each column
	 */
	public Image getColumnImage(Object element, int columnIndex) {
		return null;
	}
}
