package ch.unizh.ifi.adora.requirements.ui.views.RequirementsTable;

import org.eclipse.jface.viewers.ITableLabelProvider;
import org.eclipse.jface.viewers.LabelProvider;
import org.eclipse.swt.graphics.Image;

import ch.unizh.ifi.adora.model.representation.requirements.Requirement;


/**
 * This class is the label provider for the requirements table control. It maps the requirement object
 * into text displayable in the viewer widget.
 * 
 * @author Jaro Habr
 *
 */
public class RequirementsLabelProvider extends LabelProvider implements ITableLabelProvider {
	
	/**
	 * get the text for each column -> attribute values of the requirement object
	 */
	public String getColumnText(Object element, int columnIndex) {
		String result = "";
		Requirement requirement = (Requirement) element;
		switch (columnIndex) {
			case 0 :
				result = requirement.getId();
				break;
			case 1 :
				result = requirement.getTitle();
				break;
			case 2 :
				result = requirement.getDescription();
				break;
			case 3 :
				result = requirement.getAbstractionLevel();
				break;
			case 4 :
				result = requirement.getPriority();
				break;
			case 5 :
				result = requirement.getLinkTo();
				break;
//			case 6 :
//				result = requirement.getScope();
//				break;
			case 6 :
				result = requirement.getDesignDecisionID();
				break;
			default :
				break; 	
		}
		return result;
	}

	
	/**
	 * get image of each column
	 */
	public Image getColumnImage(Object element, int columnIndex) {
		return null;
	}
}
