package ch.unizh.ifi.adora.unweaver.dialog;

import javax.swing.JFrame;

/**
 * This class represents the timer, which disposes the selection info dialog 
 * after a certain amount of time.
 * 
 * @author Michael Jehle
 */
public class SelectionInfoDialogTimer extends Thread
{
    private JFrame frame;
    private long displayTime;
    
    /**
     * Default constructor.
     * 
     * @param frame JFrame, reference to the frame that will be disposed.
     * @param displayTime long, amount of time to display the dialog.
     */
    public SelectionInfoDialogTimer(JFrame frame, long displayTime)
    {
        this.frame = frame;
        this.displayTime = displayTime;
    }
    
    public void run()
    {
        try
        {
            Thread.sleep(this.displayTime);
        }
        catch (InterruptedException e)
        {
            e.printStackTrace();
        }

        this.frame.setVisible(false);
    }
}
