package ch.unizh.ifi.adora.weaver.engine.analyzer;

import java.util.Comparator;

import ch.unizh.ifi.adora.model.representation.AspectContainer;
import ch.unizh.ifi.adora.weaver.engine.generator.AbstractCommandGenerator;
import ch.unizh.ifi.adora.weaver.engine.generator.AspectContainerCommandGenerator;
/**
 * 
 * @author Anil Kandrical
 * @copyright Requirements Engineering Research Group<br>
 *            Department of Informatics<br>
 *            University of Zurich<br>
 * @history 27.02.2009 AKAN First Version<br>		
 *
 */
public class AspectContainerWeavingTarget 
	extends WeavingTarget{
		private AspectContainer targetNode;
		
		public AspectContainerWeavingTarget(AspectContainer component) {
			this.setTargetNode(component);
			this.setParent(component.getParent());
		}
		
		public AspectContainer getTargetNode() {
			return targetNode;
		}
		
		public void setTargetNode(AspectContainer target) {
			this.targetNode = target;
		}

		public AbstractCommandGenerator getCommandGenerator() {
			return new AspectContainerCommandGenerator(this);
		}


		protected Comparator<ChunkCloner> getComparator() {
			return new ChunkClonerComparator(ChunkClonerComparator.DESC);
		}

}
