package ch.unizh.ifi.adora.weaver.engine.analyzer;

import java.util.Comparator;

import ch.unizh.ifi.adora.model.representation.Component;
import ch.unizh.ifi.adora.weaver.engine.generator.AbstractCommandGenerator;
import ch.unizh.ifi.adora.weaver.engine.generator.ComponentCommandGenerator;

/**
 * @author Anil Kandrical
 * @copyright Requirements Engineering Research Group<br>
 *            Department of Informatics<br>
 *            University of Zurich<br>
 * @history 27.02.2009 AKAN First Version<br>			
 * 
 */
public class ComponentWeavingTarget extends WeavingTarget{
	private Component targetNode;
	
	public ComponentWeavingTarget(Component component) {
		this.setTargetNode(component);
		this.setParent(component.getParent());
	}
	
	public Component getTargetNode() {
		return targetNode;
	}
	
	public void setTargetNode(Component target) {
		this.targetNode = target;
	}

	public AbstractCommandGenerator getCommandGenerator() {
		return new ComponentCommandGenerator(this);
	}


	protected Comparator<ChunkCloner> getComparator() {
		return new ChunkClonerComparator(ChunkClonerComparator.DESC);
	}

}
