package ch.unizh.ifi.adora.weaver.engine.generator;

import java.util.TreeSet;

import ch.unizh.ifi.adora.model.commands.InsertNodesVisuallyByOrientation;
import ch.unizh.ifi.adora.weaver.engine.analyzer.AspectContainerWeavingTarget;
import ch.unizh.ifi.adora.weaver.engine.analyzer.ChunkCloner;

public class AspectContainerCommandGenerator extends AbstractCommandGenerator {
	private AspectContainerWeavingTarget weavingTarget;
	public AspectContainerCommandGenerator(
			AspectContainerWeavingTarget weavingTarget) {
		this.weavingTarget=weavingTarget;
		handleBefore();
		handleInstead();
		handleAfter();
	}
	

	private void handleAfter() {
		TreeSet<ChunkCloner> chunkCloners = this.weavingTarget.getAfter();
		for(ChunkCloner chunkCloner : chunkCloners){
			addWeaveCommand(new InsertNodesVisuallyByOrientation(weavingTarget.getTargetNode() ,chunkCloner.getNodeGroup().getNodes(),0));
			
		}
	}

	private void handleInstead() {
		TreeSet<ChunkCloner> chunkCloners = this.weavingTarget.getInstead();
			for(ChunkCloner chunkCloner : chunkCloners){
				addWeaveCommand(new InsertNodesVisuallyByOrientation(weavingTarget.getTargetNode() ,chunkCloner.getNodeGroup().getNodes(),0));
				
			}
		
	}

	private void handleBefore() {
		TreeSet<ChunkCloner> chunkCloners = this.weavingTarget.getBefore();
		for(ChunkCloner chunkCloner : chunkCloners){
			addWeaveCommand(new InsertNodesVisuallyByOrientation(weavingTarget.getTargetNode() ,chunkCloner.getNodeGroup().getNodes(),0));
			
		}
	}

}
