package ch.unizh.ifi.adora.weaver.engine.generator;

import java.util.Hashtable;

import ch.unizh.ifi.adora.model.ModelElement;
import ch.unizh.ifi.adora.model.structure.*;
import ch.unizh.ifi.adora.model.visitors.ParserPreVisitor;

/**
 * This class builds a context map containing identifiers
 * followed by expressions. It implements a ParserPreVisitor for
 * traversing the tree.
 * 
 * @author 		Pascal Schoeni
 * @copyright 	Requirements Engineering Research Group<br>
 *            	Department of Informatics<br>
 *            	University of Zurich<br>
 * @history 	11.11.2007 PS First Version
 * 				11.12.2007 MV Comments added, renamed to SymbolTableVisitor
 * @version 	$Date: 2007-12-11 13:09:12 +0100 (Tue, 11 Dec 2007) $, $Author: vontobel $, $Revision: 3393 $
 */
public class SymbolTableVisitor implements ParserPreVisitor {
	/**
	 * The hashtable with the key / value (identifier : datatype)
	 */
	private Hashtable<String, String> hashtable = new Hashtable<String, String>();

	/**
	 * The actual parsed key
	 */
	private String key;

	/**
	 * @return the hashtable
	 */
	public Hashtable<String, String> getHashtable() {
		return hashtable;
	}

	public void preVisit(SpecificationDefinition node) {

	}

	public void preVisit(Model node) {

	}

	public void preVisit(Representations node) {

	}

	public void preVisit(ContextMapping node) {
		this.key = node.getLeftHandSide().getIdentifier();
	}

	public void preVisit(ComponentDefinition node) {

	}

	public void preVisit(EnvironmentObjectDefinition node) {

	}

	public void preVisit(TypeDefinitions node) {

	}

	public void preVisit(PropertyDefinitions node) {

	}

	public void preVisit(StereotypeDefinitions node) {

	}

	public void preVisit(InheritedType node) {

	}

	public void preVisit(ComponentConnections node) {

	}

	public void preVisit(EnvironmentObjectConnections node) {

	}

	public void preVisit(QualifiedIdentifier node) {

	}

	public void preVisit(ComponentParts node) {

	}

	public void preVisit(FunctionalSpecification node) {

	}

	public void preVisit(ScenarioDefinition node) {

	}

	public void preVisit(AspectDefinition node) {

	}

	public void preVisit(StateDefinition node) {

	}

	public void preVisit(StateParts node) {

	}

	public void preVisit(StateConnections node) {

	}

	public void preVisit(AspectConnections node) {

	}

	public void preVisit(ExitPointDefinition node) {

	}

	public void preVisit(AssociationRoleDefinition node) {

	}

	public void preVisit(JoinRelationshipDefinition node) {

	}

	public void preVisit(GuardPart node) {

	}

	public void preVisit(Expression node) {

	}

	public void preVisit(TransformationElements node) {

	}

	public void preVisit(ScenarioConnections node) {

	}

	public void preVisit(TransitionDefinition node) {

	}

	public void preVisit(SimpleTransition node) {

	}

	public void preVisit(DecisionTableTransition node) {

	}

	public void preVisit(TimeCondition node) {

	}

	public void preVisit(MessageReceive node) {

	}

	public void preVisit(ActionBlock node) {

	}

	public void preVisit(ConditionBlock node) {

	}

	public void preVisit(IdentifiableConditionPart node) {

	}

	public void preVisit(ActionConditions node) {

	}

	public void preVisit(ActionPart node) {

	}

	public void preVisit(NegatableConditionId node) {

	}

	public void preVisit(ScenarioConnectionDefinition node) {

	}

	public void preVisit(TypeDefinition node) {

	}

	public void preVisit(PropertyDefinition node) {

	}

	public void preVisit(StereotypeDefinition node) {

	}

	public void preVisit(LocalVariableDefinitions node) {

	}

	public void preVisit(VariableDefinition node) {

	}

	public void preVisit(Provides node) {

	}

	public void preVisit(Requires node) {

	}

	public void preVisit(DataTypeDefinition node) {

	}

	public void preVisit(OperationDefinition node) {

	}

	public void preVisit(Invariants node) {

	}

	public void preVisit(DataTypeDeclarations node) {

	}

	public void preVisit(DataTypeDeclaration node) {

	}

	public void preVisit(TypeConstraintDefinition node) {

	}

	public void preVisit(ListTypeDefinition node) {

	}

	public void preVisit(StructureTypeDefinition node) {

	}

	public void preVisit(EnumerationTypeDefinition node) {

	}

	public void preVisit(DataTypeReference node) {

	}

	public void preVisit(VariableNameList node) {

	}

	public void preVisit(ExtendedTypeLiterals node) {

	}

	public void preVisit(AttributeDefinitions node) {

	}

	public void preVisit(AsyncOperationSignature node) {

	}

	public void preVisit(SyncOperationSignature node) {

	}

	public void preVisit(PreConditions node) {

	}

	public void preVisit(PostConditions node) {

	}

	public void preVisit(Statement node) {

	}

	public void preVisit(Statements node) {

	}

	public void preVisit(Assignment node) {

	}

	public void preVisit(MetaFunction node) {

	}

	public void preVisit(StructureMetaFunction node) {

	}

	public void preVisit(QueryMetaFunction node) {

	}

	public void preVisit(ObjectSetMetaFunction node) {

	}

	public void preVisit(SyncParameterList node) {

	}

	public void preVisit(SyncParamListOut node) {

	}

	public void preVisit(SyncParamListIn node) {

	}

	public void preVisit(DesignedTypeDefinition node) {

	}

	public void preVisit(MessageSendPart node) {

	}

	public void preVisit(MessageSend node) {

	}

	public void preVisit(ObjectSetAddress node) {

	}

	public void preVisit(ActualParamList node) {

	}

	public void preVisit(AnonymousList node) {

	}

	public void preVisit(Index node) {

	}

	public void preVisit(ConditionPart node) {

	}

	public void preVisit(Parameters node) {

	}

	public void preVisit(ParameterDefinition node) {

	}

	public void preVisit(QuantifiedExpression node) {

	}

	public void preVisit(ConditionalOrExpression node) {

	}

	public void preVisit(ConditionalAndExpression node) {

	}

	public void preVisit(ImplEqualExpression node) {

	}

	public void preVisit(EqualityExpression node) {

	}

	public void preVisit(RelationalExpression node) {

	}

	public void preVisit(AdditiveExpression node) {

	}

	public void preVisit(MultiplicativeExpression node) {

	}

	public void preVisit(UnaryExpression node) {

	}

	public void preVisit(PrimitiveType node) {

	}

	public void preVisit(MessageReceivePart node) {

	}

	public void preVisit(OperationCall node) {

	}

	public void preVisit(TransformInput node) {

	}

	public void preVisit(TransformOutput node) {

	}

	public void preVisit(ActualParam node) {
		hashtable.put(key, node.toString());
	}

	public void preVisit(ExtendedQualifiedIdentifier node) {

	}

	public void preVisit(IndexDimension node) {

	}

	public void preVisit(Cardinality node) {

	}

	public void preVisit(TypeLiteral node) {

	}

	public void preVisit(ModelElement node) {
		// TODO Auto-generated method stub
		
	}

}
