package ch.unizh.ifi.adora.weaver.view;
/**
 * This is the {@link ITableLabelProvider} of the {@link DecisionTableViewPart}.
 * 
 * 
 * @author Anil Kandrical
 * @copyright Requirements Engineering Research Group<br>
 *            Department of Informatics<br>
 *            University of Zurich<br>
 * @history 2009-03-25 AKAN First Version
 * @version $Date: 2009-05-14 15:18:18 +0200 (Thu, 14 May 2009) $, $Author: anil $, $Revision: 4242 $
 */
import org.eclipse.jface.viewers.ITableLabelProvider;
import org.eclipse.jface.viewers.LabelProvider;
import org.eclipse.swt.graphics.Image;

import ch.unizh.ifi.adora.model.representation.variability.Decision;


public class DecisionHistoryTableLabelProvider extends LabelProvider implements ITableLabelProvider {

	
	public Image getColumnImage(Object element, int columnIndex) {
		return null;
	}

	
	public String getColumnText(Object element, int columnIndex) {
		Decision dec=(Decision)element;
		switch(columnIndex){
		case 0:
			return "D"+dec.getNr();
		case 1:
			if (dec.getDecisionValue() == null) {
				return "undecided";
			}
			return dec.getDecisionValue() ? "true" : "false";
		}
		return null;
	}

}
